commit 46d459f405b19764e23b622fd2e07ca7b28b5186
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Dec 11 18:23:02 2019 +0100

    video_filter/fps: Prevent division by 0
    
    (cherry picked from commit e037f2129ec6432db6a13a6632bd36290e920ac9)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 8ffb52d0f486e377098b67cb6571fbe803de007f
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Mon Dec 9 17:12:59 2019 +0100

    egl: initialize context for error handling
    
    Otherwise, we end up calling eglDestroyContext with a bad value in the
    case the surface cannot be create. Not being able to create the surface
    isn't even rare as it can happen if the format we required is not supported.
    
    Harmless regression from f5a766e3699f19f3a37f6331e62bdc5de0e7fd04
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit d31777d83a94c63ed6b06d66fe56da4476bf5e78)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit b9f0feba4f281e3b010ff513791f3aab0e53069c
Author: Louis Segretin <lsegretin.contrib@gmail.com>
Date:   Wed Dec 4 18:09:45 2019 +0100

    opengl: converter_sw: reset UNPACK_ROW_LENGTH after usage
    
    Some drivers seem to use this value for glTexSubImage2D even with
    GL_PIXEL_UNPACK_BUFFER set to 0. As the rest of the code is not
    UNPACK_ROW_LENGTH aware, it is safer to reset it to a non-active value.
    
    For example, this would cause glitches if pictures were uploaded with
    this extension but SPU were not, or more generally if another client of
    the OpenGL context is updating some textures by itself outside of the
    OpenGL renderer.
    
    Looks really close to an OpenGL version of #22267.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 045f3ef28f86be7eed530f7079ad5ed182da9144)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 5e2545d8780f3d654e987c5ac6c0d044f0b49c5a
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Dec 9 16:54:17 2019 +0100

    contrib: lame: disable asserts
    
    As the lame INSTALL says:
    
    "For production use, be sure to compile a "Release" target, with the "maximum
    speed" compile option, and #define NDEBUG."
    
    It will fix an assert on psymodel.c:576 that could happen when feeding data
    after a flush. There is no possible memory corruption but maybe a read of
    invalid data that could trigger an audio glitch. Due to the rarity of this bug
    (happening only via chromecast, with some input files and with a lot of seek
    requests), I think that such fix is enough.
    
    PS: the contrib WITH_OPTIMIZATION option should be split into OPTIMS and DEBUG.
    (cherry picked from commit c9e146e7872a6a16f9cf05e3f36aab14105cffa8)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit ecbda30fc7a371bd025d15c8826586c658b20cad
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Aug 29 17:31:06 2018 +0300

    demux/h26x: fix linking
    
    Regression from f3df4c38e174563a8bf1c42bac8a8e68dd32e0c0.
    
    (cherry picked from commit 313dd7e59d09d7952c1b3df1e05e1779983ca6e2)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 781634e12e8630238fad216dba4a3ce877498f62
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Dec 10 13:42:46 2019 +0100

    demux/vobsub: Fix out-of-bounds array read
    
    (cherry picked from commit edc61c637b6ff04f374c4eb16421e071e557ea4b)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 1f92a0de090762fc3c830e75bc237da499aaf90d
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Dec 10 12:01:50 2019 +0100

    Update NEWS

commit bd391a39db694c5241e1c60ef63c70cbdaa999ed
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Dec 10 11:58:45 2019 +0100

    upnp: Do not crash without an active interface on macOS
    
    (manually cherry-picked from 7000b96ea7ecea5109048913fcef4bc8af8ac143)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 4645155985d3f6bef2b31110a5fea8e5291216c4
Author: Louis Segretin <lsegretin.contrib@gmail.com>
Date:   Wed Dec 4 18:09:45 2019 +0100

    opengl: converter_sw: reset UNPACK_ROW_LENGTH after usage
    
    Some drivers seem to use this value for glTexSubImage2D even with
    GL_PIXEL_UNPACK_BUFFER set to 0. As the rest of the code is not
    UNPACK_ROW_LENGTH aware, it is safer to reset it to a non-active value.
    
    For example, this would cause glitches if pictures were uploaded with
    this extension but SPU were not, or more generally if another client of
    the OpenGL context is updating some textures by itself outside of the
    OpenGL renderer.
    
    Looks really close to an OpenGL version of #22267.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 9802a32b87eda0fd0161797dcaff4e5e054c0dd0
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Dec 4 11:46:54 2019 +0100

    Update NEWS

commit 621211bcdaa3759a440fd14a00fc6538e15e06eb
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 7 00:43:10 2019 +0100

    freetype: simplify error checking
    
    (cherry picked from commit cbd47eb4299f74ec7b38ae3cfeba664d1c1b5afb)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 119b5d417ebc3c2fcb03e4764a81f4bff650a62e
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 7 00:43:09 2019 +0100

    freetype: fix error handling in getPathForFontDescription
    
    (cherry picked from commit 40f90b7660140d551bbdc2cb4d07d0c1b1955d95)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 03fb0731aae18258ba8965998fb3ec605318d25c
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 7 00:06:39 2019 +0100

    contrib: ass: Add patch to fix crash on macOS
    
    Fixes a segfault in libass get_font_file function due to
    insufficient checks of return values.
    
    (cherry picked from commit 5259efcd4ac0111e393ca947fae0313af39d3b6b)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit d6739e59820591c891bda3029c463825becd492f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 1 14:13:31 2019 +0100

    youtube.lua: fix artist parsing
    
    (cherry picked from commit d3632939f85c2ec72173d4e4e8930670d158ddb4)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit d46d6e96a7cf37e0e98dc6479affefeca51532c0
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 1 13:15:03 2019 +0100

    youtube.lua: fix metadata parsing for alternate API
    
    (cherry picked from commit 02bea06ed1c7199ce4912c458d7c6864e2bfa9f7)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 690de354a9d83a8535826287fe4fc1b02a4d22ac
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 1 11:53:51 2019 +0100

    youtube.lua: fix alternate video info API parameters
    
    Passing a different value hasn't worked anymore for a while now, with
    the API always returning an "invalid parameter" error. This restores at
    least some functionality.
    
    (cherry picked from commit 5e024d8689291480e4adb86a9d806387461075f8)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 83791830089e099269462d0c06f5acc563d00670
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 1 09:31:28 2019 +0100

    youtube.lua: support new stream parameter data structure
    
    Since at least last September, youtube has shown developments towards
    discontinuing the classic parameters that we currently rely on in the
    general case to play any video: the classic parameters are simply
    missing at least sometimes for some videos.
    
    Stream parameters remain available in another form under a new data
    structure, which seems available all the time. It seems likely that the
    classic parameters will in turn be phased out at some point.
    
    For now, we introduce support for the new-style parameters while keeping
    support for the classic ones.
    
    (cherry picked from commit 3a12451bc2d565d29f21681dde6d3808ade304f5)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit a6713c2b18414c8979ed7848afc09a506ce7f9cb
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 1 09:27:34 2019 +0100

    youtube.lua: split URL signature parameter parsing into reusable helper
    
    (cherry picked from commit 8467ed616ba36859b0fc784f1458fa376ad7b7e1)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 53d86fa63d8e6712a90f1792ec8861689181dfba
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 1 09:21:55 2019 +0100

    youtube.lua: remove outdated comments
    
    (cherry picked from commit 31023dbd439eae3c3e4f945e2bc6ba730e4df363)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 4e0457a16e6ea8090a325821e445dcf03a92118f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 1 08:51:07 2019 +0100

    soundcloud.lua: convert to soundcloud API v2
    
    The classic API seems to have been discontinued, as it now returns
    access errors even after updating the API magic.
    
    (cherry picked from commit c28b846b3574b35753533fd952a41fe02197802e)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 361cbd3cd78b26284a24e54db468275d44279763
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 18 10:34:07 2019 +0200

    input/item: sort before attaching slaves
    
    The order of readdir() is completely filesystem dependent.
    
    Slaves should be attached using the same order across multiple OSses/access
    modules.
    
    This fixes the test_libvlc_slaves on some system when the entry order from
    readdir() is different.
    
    (cherry picked from commit 4186c94104ee528abd6860611b49515f3e6ec644)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 576b4da8d674d8a98dd493e9b343f1875efde047
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 26 11:31:45 2019 +0100

    core: increase file-caching
    
    Same value than the network one. In order to fix low-fps video with high cpu
    count, as decided during the last technical meeting.
    
    cf. background here:
    https://mailman.videolan.org/pipermail/vlc-devel/2019-September/127432.html

commit 3774ec09eccfebd163303e9dcee47b49569a07d9
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Nov 22 03:10:10 2019 +0100

    vocaroo.lua: update to new website changes
    
    (cherry picked from commit aa0931ad3ecfb79dfdb71d5557b1e314a2f58181)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 03d4f115e0dc1b27af4711ff2d3766f7ef9fafb0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 20 13:50:45 2019 +0100

    coreaudio: move tinfo into p_sys
    
    It doesn't need to be static since it is initialized from ca_Open().
    
    (cherry picked from commit 965dfdcea05077cd2c1f57ea82df45aa9c04cdf6)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 868b358b1125abf554a516c37d93e3544f196287
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Aug 16 09:01:20 2019 +0200

    coreaudio: a valid timebase is now mandatory
    
    For some unknown reason, ca_init_once() was not executed on iOS 9. Instead of
    debugging this issue, backport this patch from 4.0 since the usage of
    pthread_once() was useless in that precise case. Indeed, ca_Open() is called
    only one time per media player instance, we don't really need to cache the
    mach_timebase_info in that case.
    
    (cherry picked from commit b625ef0b02004c530ab835157a955a060fdedd07)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 4c9e348535d2e4043dec28bc3ea3b90d1b066422
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Aug 16 09:57:49 2019 +0200

    coreaudio: use os_unfair_lock symbols directly
    
    And fix the timebase that was not initialized if the unfair_lock was not
    available.
    
    (cherry picked from commit 7b34bcb6e2189b861da167444eaef8e5c26a2ef1)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 1526f998d3cbff0a8bceebd8f2be6430972bc763
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Aug 2 13:59:13 2019 +0200

    aout/coreaudio: Use symbols directly instead of dlsym
    
    It is not needed to load the symbols using dlsym here, they will be
    automatically available if the OS version is recent enough or NULL if
    not.
    
    (cherry picked from commit 58036e27b2152d8219fcfe173bc0f20a00df0dd0)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 2b265c0a821548826c8ee010fe1fa9ce045215b2
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Nov 5 13:11:01 2019 +0100

    bluray: check for getmntent_r symbol
    
    getmntent_r is not necessarily available when the mntent.h header is present
    (cf.  Android).
    
    (cherry picked from commit 731510839d95cb2d6b9e700e8d674945fd835439)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 6725d406a5e2fb0134349ebb7a5b3a7b740393e3
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Thu Oct 10 00:50:19 2019 +0200

    contrib: gpg-error: apply upstream patch for gawk 5.0 support
    
    See https://dev.gnupg.org/T4459
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 50966c238a1914fc16726b1ba9b6db7e62b79de2)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 71b43cb5844f20e62e693a6f86638b0e42ae8936
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Sep 11 18:12:17 2018 +0200

    macosx/configure.sh: Fix argument passing to configure
    
    Previously an argument could incorrectly get split up even though it
    was passed as one argument to the configure.sh wrapper script.
    
    (cherry picked from commit 2f45f0bf6dfadddb497bc6c83d065adce9c26f84)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 2164633b495bff4f6435b434ee05dc7572e4a663
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Thu Nov 14 11:55:44 2019 +0100

    macosx: add support for Apple Music
    
    This matches the previous iTunes support.
    
    This is a manual backport of 20bf0e212.

commit e987d8763d4ed39fc9ff02b4c93a878a1b26f68c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 25 10:54:35 2019 +0200

    dsm: prevent next module probe when possible
    
    (cherry picked from commit dff892c206ab7b612b6ad17695e260e8f0e70413)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 5046dde37c43f66e287737762f75b30a177ad5dd
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 25 10:53:10 2019 +0200

    smb2: prevent next module probe when possible
    
    (cherry picked from commit 83e2c8c90e7b9220d21532827ed9690d23136332)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit e5536591e837cce4c305c8e29981442b8709313b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Oct 24 17:35:48 2019 +0200

    smb2: rework SET_GENERIC_ERROR
    
    (cherry picked from commit 2c0bd7716d156b1366ba232bae6002eaf30649e2)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 1ced679ee22329a870243e4936a3fd8116c987c1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 25 10:59:30 2019 +0200

    contrib: smb2: backport errno patches
    
    This fixes bad errno return values from the smb2_connect_share_async function.
    
    cf. https://github.com/sahlberg/libsmb2/pull/118
    
    (cherry picked from commit 3420b00253ace88ea722ce75e4200afc4fbec074)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit a1c7364f93dfe5a3617d8a80f442ea44e8c7e843
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Oct 29 13:41:56 2019 +0100

    mediacodec: assert that omx quirks are the same
    
    (cherry picked from commit 334608fdd934b53dcf1d6483c7a7ee3b9c72d058)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 71fd3326ea4390d4e62434670baf69388f51ab04
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Oct 29 11:14:56 2019 +0100

    mediacodec: fix video aspect ratio on Amazon devices
    
    The AVC MediaCodec implementation of Amazon Fire TV devices report the surface
    output size instead of the input video size.
    
    These are the only know devices that need this HACK.
    
    (cherry picked from commit 4e76bcfd5001db152167c6dec598d25b0e337f94)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit f68e9f7b960e32b10af09191697bea2da39213b5
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Oct 29 11:01:48 2019 +0100

    mediacodec: add MC_API_VIDEO_QUIRKS_IGNORE_SIZE
    
    Some implementations return the surface output size instead of the input video
    size. In that case, use the size parsed by the hxxx_helper.
    
    (cherry picked from commit 669505d1844188a54f2c63acaf94d58cafb9cbbf)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 1d50de8c5359cec5ac536f0441a2d718a3d8f28c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Oct 29 11:00:23 2019 +0100

    mediacodec: also set quirks from MediaCodec_GetName()
    
    (cherry picked from commit 556d28188bc91bc7f7f46ecb2885048129bd3c4c)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 68127e4f3e8fa46ad60b91ab4172b66cc7550781
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sun Oct 27 18:15:32 2019 +0100

    macosx/Apple Remote: fix play button cookie
    
    The 2005 white-plastic Apple Remote uses a different play button cookie than the 2009 aluminium version.
    
    This patch fixes control by both devices.
    
    (cherry picked from commit 229f99c2f3eb45f129fbd59088c74d76548497c4)

commit ed97ad91a49fa8ecdcc021c5677073334ff67f44
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sun Oct 27 08:57:06 2019 +0300

    contrib: bump dav1d to 0.5.1
    
    (cherry picked from commit fcc6cc1665ec00201d77fdd59d95ef072dd233af)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d55cf24dd2208a7e310d193e66d0a998afb547e7
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sun Oct 27 05:15:10 2019 +0300

    snap: added audio-playback and audio-record plugs
    
    The pulseaudio interface is being deprecated in favor of audio-playback.
    
    (cherry picked from commit 73bacaf1e6d3ed4b47c4123b48a6421f06be66c7)

commit 13c3d6c8b784bac0fcaad8b8e3bcfff95e956371
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Mon Feb 25 21:16:34 2019 +0300

    snap: added dvb interface
    
    (cherry picked from commit f4a62c3ffabda63ce3fb9bc9a78d355bdf7f5cf7)

commit 005dead468ec2167c87a185f4d0ba3f919d623cc
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Wed Sep 4 20:57:28 2019 +0300

    snap: bump desktop helpers version
    
    (cherry picked from commit 407fa0b936e090183284e199d8eb98d5676a04d3)

commit 706375b630dd14a4bd0f22b857590b397ab7fb36
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 25 13:58:31 2019 +0200

    packetizer: flac: return a block even with invalid pts
    
    The flac demuxer is waiting for a valid block from GetPacketizedBlock() and
    will set the pts via FLAC_ParseSyncInfo().
    
    There was a chicken-egg situation when both the demuxer and the packetizer were
    waiting each other for a valid pts after a seek.
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit c8cee0ad8beba188662ce66987c0c37fa6b3bf8b
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Fri Oct 25 07:57:18 2019 +0200

    macosx/Apple Remote: add support for macOS 10.15 (fixes #22976)
    
    Manual back-port of b3c389bf

commit faf87cac04c128cb7a511bfe174140feee81ef3f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Apr 15 18:20:14 2019 +0200

    demux: adaptive: inherit template defaults (fix #22047)
    
    not the complete and efficient way.
    we'll need a better inheritance fix at parsing level.
    
    (cherry picked from commit 7ff23c447d942c4bd4f88bbcd680892d57643b9e)

commit 47aebf48b54d575b5dca5f48d6e6219288168533
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Apr 15 09:04:03 2019 +0200

    demux: adaptive: store timeline directly
    
    (cherry picked from commit a2f1435e12646de9c43c6d719529079086e6e539)

commit 20e3a758342663a81b08cdb34c03eb3d169384bc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 23 14:47:41 2019 +0200

    demux: adaptive: missing flags propagation using MimeDemuxer
    
    refs
    http://artelive-lh.akamaihd.net/i/artelive_fr@344805/master.m3u8

commit 39db676c13735f09d60d192a2c2fcaef10638ca7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Oct 22 14:02:58 2019 +0200

    coreaudio: use the dev latency for the deferred calculation
    
    Tested on iOS (where this variable can be different than 0).
    
    (cherry picked from commit 3d02229ab60feef625ffd7dd5beb9fc0d59be8ea)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 5e13b2ca197648f58f078605abe3921846480483
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Sep 27 13:35:00 2019 +0200

    coreaudio: update the play date until the first rendering
    
    cf. fe2e9755088a0061518514f3b7bf3601f4813794
    
    Only the first play date was handled. This is OK in most cases but not as
    accurate as handling the date until the playback is truly started.
    
    This previous commit and this commit were inspired by the pulse module.
    
    (cherry picked from commit 53787c8fe097499049996457e56762a75bd5fd4c)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 90063b6c68646f34bc76adc26ffd08439e2023ac
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Aug 16 10:14:23 2019 +0200

    coreaudio: start deferred
    
    It now use the play date argument to delay the first render until this date is
    reached (TimeGet() will return -1 in during this step).
    
    (cherry picked from commit fe2e9755088a0061518514f3b7bf3601f4813794)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit aa50fe7ca7985fcfea0783b85176f866ec502ffc
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Aug 16 10:00:46 2019 +0200

    coreaudio: add the HostTimeToTick() helper
    
    And use the VLC_TICK_FROM_NS() helper.
    
    (cherry picked from commit 3249915c5794647ee3b2c62dcc0a973654ccdb74)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 2d00056a3174c2d140a50ce085793e9b81b3ca97
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 19 19:47:55 2018 +0100

    packetizer: flac: check next header
    
    refs #21498
    
    (cherry picked from commit dfe7d4c1a38572e8b6735393b69ba35284cc1d65)

commit d30d59d570d827994edfa1ce46f670231da866b1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Oct 17 16:31:07 2019 +0200

    dsm: specify the v1 protocol in the dialog credential title
    
    (cherry picked from commit bf3c999938b86639b1fb084e3fd30e2fa6493d3d)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 62dc0bb729d4a1b556d7582ffb99dc5361e2c174
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Oct 17 10:10:20 2019 +0200

    dsm: add "smb-force-v1" option
    
    If this option is enabled, libdsm will be probed before libsmb2. Use at your
    own risk, this option should be always disabled by default and specifically
    requested by the user.
    
    (cherry picked from commit ddb7cee98f75bc35bf34cef9a0fa883a8b8f42c4)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 3b9ed05eb3c62b25191c951a4b5f57847211a106
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Oct 15 12:57:49 2019 +0200

    dsm: query credentials only when needed
    
    Query credentials only if the nt_status is NT_STATUS_ACCESS_DENIED.
    
    This prevents to ask for credentials when the file/dir/share doesn't exist.
    
    (cherry picked from commit 22beadf9b9b3b2f59e06489eefdc44525e0eae25)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 17f43b73741f181040fc7fa40929f5e417764bc5
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Sep 12 16:06:50 2019 +0200

    smb2/dsm: avoid to request the dialog two times
    
    (cherry picked from commit 40035be6ba784321997dfc8fe076471c958c5206)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 545520505254e42c2778fd6872d3b1f46bedabea
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Apr 13 16:15:16 2018 +0200

    access: add smb2 module
    
    Disabled by default on VLC 3.0.
    
    Using libsmb2 from Ronnie Sahlberg https://github.com/sahlberg/libsmb2
    This is LGPL 2.1 fully async lib for accessing SMB2 and SMB3 shares.
    
    This module use the async feature of the libsmb2 lib with the vlc interrupt
    mechanism, therefore every network requests are cancellable almost immediately.
    
    The 2.0.0 version is required since this version drop OpenSSL dependency and
    allow to use Builtin NTLMSSP authentication instead of libkrb5.
    
    (cherry picked from commit c6e7841663d070638285fd5dcd6e6c819eb29d0a)
    (cherry picked from commit 5775166f1bc6021fed15ab8fef7e0f7a014292a5)
    (cherry picked from commit c4820d37cd0918f703b1212951c9b3747568a5e2)
    (cherry picked from commit e9c9d72f504bd61d661b86b20ed56130d9e7166d)
    (cherry picked from commit c7bffb3cf6b5831d9e549845ff415da68926913d)
    (cherry picked from commit 382d8aece66d32c76b6ced757db76d73b23759d2)
    (cherry picked from commit ba9fd0f0efd9dc9b166f1ddfdbae0634afd38b2c)
    (cherry picked from commit 014e84a30c54a1831ed4deeac6506d98cde503b8)
    (cherry picked from commit e8868d679c5ee40d9cc31196b81790ce5fb9a416)
    (cherry picked from commit 08c83ec287b6daa9aa4b2421f758ceccacad966a)
    (cherry picked from commit 2dbee7d17bc40104781ca1737f6b709fa367ffe8)
    (cherry picked from commit ffd3083477b545658d83483f80d54bfca3435113)
    (cherry picked from commit 3924c4e77c2de1613b2e538a1da4c7e308bd552c)
    (cherry picked from commit 53673b7ef285f46b345ba01647df39afb65f25d6)
    (cherry picked from commit 01e9c37d714bf0fef3c155381fb99465047615d3)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 76305ddc48b04c5a9b8dc3394e01723e05fd75dd
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Oct 17 15:00:34 2019 +0200

    contrib: add libsmb2
    
    Disabled by default on VLC 3.0.
    
    (cherry picked from commit b56d2630dda483a6d949979160cba5f1805cd2d6)
    (cherry picked from commit 2f3f44804e673a4b49d12faf21915964cef80baa)
    (cherry picked from commit dbd816319d091f88cf6ab0bb516a7d2ad5f7c426)
    (cherry picked from commit 537afeafb00684cb58282995cfa787a52dcb2967)
    (cherry picked from commit 758c04a0d4d629d92bc5c123c6316372e8b04c76)
    (cherry picked from commit e2f163e89023680e6e9f34f8aeebbd5cfb405cf4)
    (cherry picked from commit 291c835c63d6dd5dcc453a2dc678af046bce56f5)
    (cherry picked from commit a2289a28a997fd19bf0e2611f6a13efa9929e20a)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 60d44f333c1c5915835097301d5fb55c866cd912
Author: Mathieu Velten <matmaul@gmail.com>
Date:   Thu Oct 17 00:36:01 2019 +0200

    vaapi: add YUVJ420P pixfmt
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>
    (cherry picked from commit a0e25f1a97fae707e6701c53e2d389c4bafffddf)

commit 6b5dcd4027e48fd0928763c1dd188b9e99b93cd5
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Oct 15 15:44:55 2019 +0200

    audiounit_ios: add support for > 48kHz sample rate
    
    Call setPreferredSampleRate() to setup the rate of the input. Failure is OK
    since it will fallback to a normal samplerate.
    
    Tested on a USB DAC with 96kHz support, but it should also work via HDMI.
    
    (cherry picked from commit 84134c554a4a3c5be78f818896a372a89bdaa792)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 62f332e52efddd8b0059e19dfda3957a6e2bc606
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 11 17:20:45 2019 +0200

    update NEWS

commit e3996cefb2d3344773ca7daa00c39f3e456f6963
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 25 15:08:07 2019 +0200

    packetizer: h264: only use date_t for length computation
    
    (cherry picked from commit f23fab774f10b71530f630d8b6b318991f689d19)

commit 4d9b68c81504deb08f68afe56c6660a068422f44
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 25 13:59:40 2019 +0200

    packetizer: h264: do not override fmtin frame rate
    
    (cherry picked from commit 4876193c93270343a8426d136611d9ca8e5cea66)

commit 76fb6c91f8b1817724f4495596a5ad838683f22f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Sep 6 19:00:52 2019 +0200

    packetizer: hevc: set fmtout rate when unknown
    
    (cherry picked from commit f851387a45c3147e13437765206f0dca179f2c4a)

commit 9a372dba12c924c8828cf7108fdb679c43d6e299
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Sep 7 18:25:29 2019 +0200

    demux: h26x: use fmtout rate as date rate
    
    (cherry picked from commit fe88719c808cda0e91fd4d3da5c67218cb3e73f5)

commit 682c12e08530c35432092f4e8289465b302d5f0c
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Sat Aug 4 00:36:13 2018 +0800

    demux: h26x: fix frame duration
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit f3df4c38e174563a8bf1c42bac8a8e68dd32e0c0)

commit 94f9f09ec74c97bcbb0eb505631d244ad5f054d8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 26 11:02:35 2019 +0200

    packetizer: mpegvideo: perform secondary drain
    
    (cherry picked from commit 873a6bc6b274043791d4e1d92ac24fc165a9ba34)

commit d16ab0af6383f063810815d3b2e70eeedaa7fc87
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 26 11:32:56 2019 +0200

    packetizer: mpegvideo: refactor frame output
    
    (cherry picked from commit 269fc9bc45d3252d11ebfe445eb98801e9eeb860)

commit f7fa484b8ef5c2bbd96d24a85dc731a016affae1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 10 16:51:12 2019 +0200

    codec: avcodec: really drain video (ref #22929)
    
    could only drain once because of double drain
    request/null pkt enqueuing.

commit b34ef355927baddc7d7b5385e71a4c4dbc8de86d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Sep 24 15:59:50 2019 +0200

    packetizer: hevc: add secondary drain
    
    (cherry picked from commit 7793d7bb84da43929d14f9602d5babf0869fa52b)

commit 8920c0068fa8e32250772065b9541641ea2e4744
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 25 11:25:16 2019 +0200

    packetizer: h264: handle secondary drain
    
    (cherry picked from commit 691578d410deac8ad89f331df5bb34a5db661eba)

commit 164731ff1fa7a4e195b498ddc0ed5020815d9952
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Sep 27 19:09:34 2019 +0200

    packetizer_helper: fix potential junk on drain
    
    computation is wrong and results in no GetBytes
    
    (cherry picked from commit a2f4b96f6e9721fc0aa71da1c768b4f1e49957d1)

commit ec09038c51bec24aaaedac50e6ceccd120273a95
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Sep 23 20:35:23 2019 +0200

    packetizer: packetizer_helper: add drain
    
    (cherry picked from commit b279fc8f635b52431f56ed5aadb5ff99d73dab1f)

commit 385ae87ca66342488f8e8a4defbefd98317b5b34
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Sep 30 16:47:25 2019 +0200

    codec: webvtt: fix node reparenting on closing tags (fix #22887)
    
    (cherry picked from commit 055a1be033be4ecdecf35b91bdc717bc75ac01cd)

commit b14d7aba50962666d735dec230242f70e1372c2c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 8 18:53:35 2019 +0200

    demux: ttml: recreate entities (fix #22919)
    
    (cherry picked from commit 9c490479cfda04b57d12be1e65745ffa7ac5d43b)

commit f9379f4d108b7a97269eb841050a6d31781207b5
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Fri Sep 27 20:57:26 2019 +0200

    macosx: future compilation fix
    
    In the future, the use of a 'value' property on custom classes will lead to conflicts with the SDK.
    
    This is a manual backport of 3d3cdb24.

commit e3e32ab0119edfd762718ecd9a084aeaef873e2f
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Sep 25 19:40:24 2019 +0000

    macosx: widen stored playback position for longer videos
    
    Existing logic of storing playback position for macOS excludes positions within first/last 5%.
    
    This heuristic is fine for short videos, but for a longer one, say a 6-hour one, it means the position is not stored for the first/last 18 minutes, which is a nuisance.
    
    This change adds an upper limit for the size of excluded positions.
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit 4c225861f61b663aebd86bc837c1813e61db571d
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Sep 25 19:40:24 2019 +0000

    macosx: extract a helper to test if the position should be saved
    
    This refactoring is a prerequisite for the next commit that improves the
    decision for long video files.
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>

commit f25d3ba368fa2daad34171ad14a42efd6c672ba1
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Sep 12 07:20:31 2019 +0200

    youtube.lua: silence debug log when detecting scrambled signature
    
    The severity was mistakenly changed, this should have remained a debug
    log all along
    
    (cherry picked from commit 03b59d3498a872bf99ac763ab5f9417d00349785)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit efd4c666625860ca6557eba740b86f915e6a3966
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Sep 17 18:48:48 2019 +0200

    macosx: source list: protect against bogous events without selection
    
    Method is occasionally called even if no item is selected, leading to
    a crash.
    
    should fix #22767

commit 342fa95336da846c59d652e35edab079f81a7b35
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Aug 16 19:31:46 2019 +0200

    access: dvdread: fix invalid PCR on title start
    
    (cherry picked from commit 586449aaf4362eb58ed43f5f8772cf285bdee39d)

commit 6a7381e5cfdb091ec83900662d0cf2d06af350d5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Aug 16 19:29:04 2019 +0200

    access: dvdread: fix inverted commands on boundary / data sequence
    
    fixes broken clock/clock jump and glitch on title change
    
    (cherry picked from commit 89070a7c3ac76580b6a655078bc6f6b5e1342168)

commit 9b519a3aa0009052053ea8b99b80def72ccde887
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Aug 16 17:21:09 2019 +0200

    access: dvdread: check vobu range on seek
    
    (cherry picked from commit da7e828f7e01e28287600894d488963f4373bc73)

commit 36077b91f656d6e50b294537f1a5da8529d7bcd0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Aug 16 15:59:09 2019 +0200

    access: dvdread: check cell count
    
    fixes crashes on seek when:
    - both cell & vobu have sector 0
    - seek sector is > of last cell start sector
    
    (cherry picked from commit f48f84235ab784949c95e7c265a7c6f1ce753cb8)

commit b1bcd025044442a828d300880ff25c7af31f0998
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Aug 16 16:34:33 2019 +0200

    access: dvdread: move sub cell lookup into debug
    
    (cherry picked from commit 634a00029d949c55d0335eb66aa9d1b593ae6d70)

commit dabb9c471adcdefde12ecd87b3ebb64e62865d86
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Aug 14 17:34:13 2019 +0200

    access: dvdread: check for blocks total overflow
    
    (cherry picked from commit 255323b966872afd73526fc38866c4a108e864b6)

commit 843c407e922e23614ff52972a5c6ab530d1dc59f
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Thu Sep 5 00:25:22 2019 +0200

    mp4: meta: fix format-truncation warning
    
    PRIu16 can go up to 65535, so it's 6 char when counting the null one.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit d34040a3d32d24f7b4218bb79ec28482b1906115)

commit 7d20d1ddf5683c0b43220c593049ec46d4888891
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 5 15:18:45 2019 +0200

    demux: mp4: fix non packetized ms55
    
    refs https://streams.videolan.org/samples/mov/qtaudio/surge-2-16-B-ms55.mov
    
    (cherry picked from commit 972471079ba96826217ec20f79f0a577fe9d218e)

commit 1f3e6cce668302ded4ff7badc18942f1707c75a8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 5 17:17:15 2019 +0200

    demux: mp4: fix Qt v0 audio u8 demux
    
    refs https://streams.videolan.org/samples/mov/qtaudio/surge-2-8-raw.mov
    
    (cherry picked from commit 84cc5f6a227dbe6e23bfa1d4e9e42206ee3e8831)

commit a9d10d19b3cc5956a4e2e9fe562d23d6257ce2de
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 5 14:59:32 2019 +0200

    demux: mp4: fix quicktime sample size regression for twos/stwo
    
    regression by 0c25ba56279fc495afe9d089e2bbcf051a296487
    
    (cherry picked from commit d4047c25e42ff4f7ac7ca890583e3a7bf40b752b)

commit af4616778fd50c790ae6ac200c6dc1acea4f4b6c
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Sep 13 14:17:00 2019 +0200

    package/macosx: Add more functions to blacklist
    
    Manual backport of 66d91e26e554650a6731d98a9db7a7209048fc49

commit e38fee84adbddd9857f11471329f8f429e4cb6ac
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Sep 13 11:15:36 2019 +0200

    videotoolbox: don't reset the vout when closing
    
    (cherry picked from commit e29c031ae88ef9c47048bcd426a404734c17b4f0)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit a42f3ec9a965c39e0d9056581455887add3a3fa0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Sep 9 17:37:30 2019 +0200

    directsound: fix uninitialized var usage on error path
    
    When directsound was used via mmdevice, a failing CreateDSBufferPCM() triggered
    an invalid vlc_cancel call on the uninitialized thread variable.
    
    CID 374810d1-d1be-4a63-a5af-5349cb6607d1
    
    (cherry picked from commit ff5142ffbd168b6bf9640566b03be6defe146fda)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 1c3a98552a98b66b386092fd47ba5ea4bebf5aa5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Sep 4 22:10:51 2019 +0300

    Remove old mail address from sources
    
    (cherry picked from commit cc129a71d75220c0600727aa1f7b984e60f83c0c)

commit 85d7342f0065a70256b146ec1ab5f357f6745e95
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Sep 3 15:28:57 2019 +0200

    packetizer: flac: don't increment invalid date (fix #22699)
    
    vlc-4.0 prevents this in date_Increment()

commit 1ac2dec2d3b1c2fbcdffac22b5ab13e8a48bd87c
Author: ValdikSS <iam@valdikss.org.ru>
Date:   Thu Aug 8 22:33:48 2019 +0300

    chromecast: transcode audio to MP3 320 kbps instead of 96 kbps
    
    Chromecast transcoding code uses either Vorbis or MP3 for audio.  For Vorbis,
    quality=4 is used, but for MP3 no bitrate or quality setting is set, which
    leads to default 96 kbps poor quality audio.
    
    This patch explicitly sets 320 kbps bitrate for MP3, for much better audio
    quality.
    
    Tested on Chromecast 3.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit f74d5d54e87ed0badb9ba7e0834b59370e1689fb)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 2d2fb36ede201f9da38b30b890e6720c59fdcd35
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Aug 22 09:48:46 2019 +0200

    On the road to 3.0.9

commit 4e5ac8a506bf0d7d66804b69a4679b31da991c04
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Aug 22 09:48:33 2019 +0200

    Update NEWS

commit 26a814d5bf75e0854b57ca96d61ad094cb0fdf08
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Aug 21 15:25:55 2019 +0200

    gui: Add corsican to the available languages

commit 08fcc5488696dbf78fd24693e02a972fcad71cad
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Tue Jun 4 15:09:05 2019 +0200

    vlm: temporize on errors
    
    VLM suffered from the same "infinite live loop on error" issue as the
    playlist:
    
    <https://forum.videolan.org/viewtopic.php?t=149608>
    
    Apply the same strategy as in d06622651fcd4a608c06cb35e725fad57bf38167:
    wait some delay before starting the next item, depending on the number
    of consecutive errors:
     - 1st error: 100ms
     - 2nd error: 200ms
     - 3rd error: 400ms
     - 4th error: 800ms
     - 5th error: 1.6s
     - further errors: 3.2s
    
    A single successful playback resets the errors counter.
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 99427456aef0c9833ade0e1beb989df64be82d1f
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Tue Jun 4 15:09:04 2019 +0200

    vlm: restart input on EOS or error
    
    If the current index matches the requested media, we must still restart
    the input thread if it reached EOS or finished on error.
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 86c7bba1c09f53eb2ebbb50e2a7e49b4ae88a919
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat Aug 17 10:13:16 2019 +0200

    NSIS: Add missing extensions for WPL playlists
    
    Fix #22535
    
    (cherry picked from commit d68b5b2fac520c95a54f4066248e9f0d6c579c9b)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 410bff0959c0e2a8b9dfec20fe85a57484580461
Author: Filip Roséen <filip@atch.se>
Date:   Sat Jul 21 23:14:57 2018 +0200

    text_renderer: freetype: fix memory leak in AnalyzeParagraph
    
    fixes: #20881
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a2b5b5337d1943614491f875bef827941699e59d)
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>

commit 1fcf2b7c473aedf7bc359e138bed1cda9b2ca679
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Aug 19 14:59:46 2019 +0200

    demux: ts: set global es count on IOD ES creation
    
    MPEG SL could not longer start
    
    (cherry picked from commit 36aa45ab8cd5f56ff751319dd23de0c7865a8423)

commit 507f88a2e5df4aea6649cd8947e1ddb4e4cf05cc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Aug 14 11:32:55 2019 +0200

    input: check position range for time generated seek
    
    INPUT_CONTROL's one only has range check.
    master branch code now use helpers instead.

commit f350b6b5a7ece8322095ec8b494f58322680eb1e
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Aug 12 15:49:00 2019 +0200

    Update NEWS

commit 78af05d741ea0c48202bfa9e4f4d2a1a9b75e9a5
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Aug 13 16:25:53 2019 +0200

    mkv: Improve PCI events handling
    
    CVE-2019-14970
    (manually cherry picked from commit
    51450a0f3c5c6a0fefc5ae25f35fe34ef3484af0)

commit dfc0543934b6dbdcf6b02260376cb9feff2a3ad6
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed May 29 10:15:25 2019 +0200

    contrib: Building matroska from the contribs require ebml >= 1.3.8
    
    (cherry picked from commit 89788c9e3c8521ea0cc59c239b80eaf758c712df)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit de8cf1d0bd2ab135df41ff1d5fb32cf8eb306abc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Aug 8 11:50:42 2019 +0200

    demux: avi: simplify strf handling
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b7cd72f6c1d8bce17227b90d3ae5bfdcbc80b365
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Aug 8 17:16:52 2019 +0200

    demux: mkv: preloaded segments with no tracks are preloaded
    
    A Segment with no Tracks is allowed by the specs.
    
    CVE-2019-14777, CVE-2019-14778
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 0f71d03f65d54c1cc5b21bdb10124f469bf7ec21)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 4d262af8da7d479cbf57461e01ccd19281579633
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Aug 7 17:36:37 2019 +0200

    asf: Fix out of bound read
    
    p_data is already offset by 64 bytes, so we need to propagate that
    offset to the boundary check
    CVE-2019-14776
    
    (cherry picked from commit fdbdd677c1e6262f31771b0ba10afb24aabf108c)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 59058abed0c8e5022c21544c7c4279b349a339ea
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Aug 2 14:40:04 2019 +0200

    asf: Fix missing fp pointer reset
    
    This fixes a potential use after free
    
    CVE-2019-14533
    
    (cherry picked from commit d5a9fb5c671a00b13ca0a8d39489f4ee0ac23f94)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit aad818bf380383246f090c94dcda9136a8d1fdfe
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Aug 2 14:33:25 2019 +0200

    asf: Reject seeking when no file properties object is available
    
    CVE-2019-14534
    
    (cherry picked from commit 078afb259f06d5a59624f26cbdd2b79a4e5ea713)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit aa15d138089c8bc1ead129b6822df7e8cd4e85c5
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Aug 2 14:02:44 2019 +0200

    asf: Reject streams with invalid entry time interval
    
    CVE-2019-14535
    
    (cherry picked from commit 4d2f92b67e99a04553305ffd7656f0308c520d1f)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 9df056b6d6acf78acd36ea699b4e0588988a8f66
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Jul 31 16:28:49 2019 +0200

    caf: Reject samples without samplerate
    
    Since the spec mandates it
    CVE-2019-14498
    
    (cherry picked from commit 56b21668e8d9384386cb037f3eb0b13dd6dae5b5)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 98d25e417d919ceab7d59319ce160bad37353b6b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jul 30 22:27:31 2019 +0200

    access: dvdread: fix null dereference on vts failure
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit bbbdb833da9498733768430cf50d3b489c4ceb95)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2af81284cd34caaaeb8a23044d7d4d3495179a35
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jul 29 14:03:46 2019 +0200

    demux: xiph: improve old ffmpeg xiph extradata test
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 1f073245f0c75096a075bc5c7075db660a8b1189)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 9f330e3ad615e17be0eb4224dc32843f1c2176eb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 26 20:12:41 2019 +0200

    demux: xiph: rewrite to split cases handling
    
    CVE-2019-14437, CVE-2019-14438
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 93f04f42e92df8af1697a3c990c88d62eb7f528d)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b2d7c1a5ba8c09d4e30b28e94416f5902c4e2407
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jul 23 20:40:29 2019 +0300

    xiph: constify xiph_PackHeaders()
    
    (cherry picked from commit 5de591e391ec000f89acbaece4934110cab46e31)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 4d84aeab8969d0ebb33a27eff34cec92ff8582fb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jul 23 20:39:51 2019 +0300

    xiph: constify xiph_SplitHeaders()
    
    ... and fix invalid pointer conversion from const void ** to void **
    in xiph_PacketHeaders().
    
    (cherry picked from commit 0fa1d4e11145b2e9e59766428f9f0e4339858365)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit afe59f492e172f770fd1ba9083a02e48e692aded
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Mar 2 21:24:34 2019 +0200

    mux/ogg: fix variable shadowing
    
    (cherry picked from commit c48f56ff7f560d7239ff274d9ab84649d81c5d94)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ecf0b0f80e45be088806098079665a3aabbd7ad7
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Jul 30 14:07:34 2019 +0200

    faad: Fix read buffer overflow
    
    (cherry picked from commit 6388ee66cf50051be19da364a33f2145dafbae65)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 041ed2b98e04e8139eb556803d449fa8420ca5b0
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Jul 24 12:01:20 2019 +0200

    demux: mkv: do not use the file if there's no usable stream/segment
    
    Ref #22474
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit dfa50b418711da81e941f059c4704c4a1a21ffab)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 493ab98a131e87c006284987fd6674942faf7721
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Wed Jul 24 10:02:06 2019 +0200

    demux: mkv: fix vector erase in destructor
    
    Ref #22474
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit ca086631dc1a39f1882976d9ec525176ada1aa9e)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 54784cf59554dd766251c80974d3c27ec92118f3
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Jan 25 11:51:41 2018 +0100

    demux:mkv: remove elements from vector when we delete them
    
    Rather than setting the value to 0.
    
    This could be useful if we store the actual objects rather than pointers.
    
    (cherry picked from commit fe2cb5ca7536699672dbc277f2ed0aaff3dd2716)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 1a55a5935c2ad89df0324bdd95d3f915314cde4a
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Jul 26 13:32:38 2019 +0200

    ogg: Fix potential integer overflow
    
    (cherry picked from commit c455d11a96e473ea3038b7f469f15a71cd9338e3)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 48f014768dc22ecad23d0e9f53c38805a3aff832
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Aug 8 16:44:45 2019 +0200

    configure: Require libmodplug >= 0.8.9
    
    (cherry picked from commit 87b7816cdb69130e500f8735f01ae89f2926f96a)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 44bd08907c7f0b51cf3f99157e31648bd5bb10f7
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Aug 14 09:24:28 2019 +0200

    contribs: modplug: Require libmodplug 0.8.9.0
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 78ebd9bd68cdc60db66f4c6f98b433720261d181)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit caaae756e015e05406f29dd2288f4c0fcdceed85
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Aug 14 09:23:04 2019 +0200

    contribs: modplug: Do not force old minimum macosx version
    
    VLC already sets the minimum version, forcing an older version
    makes compilation fail with our flags.
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit b20af5ad95dacb6a857fc1c93345977e9a34ef90)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c5a87a5e05407b35f41705a6cdf28986ff6725fc
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Jul 26 10:57:20 2019 +0200

    contrib: Update libmodplug to 0.8.9.0
    
    (cherry picked from commit 4345b4b0d141ba3c9fc10ac8449e4f3af6487397)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 876b2344282eb18cec1e937c61d5d3376066084a
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Aug 13 15:55:21 2019 +0200

    l10n: vlc.desktop update

commit a5ce68e049e8ff407fa517704e85908dbea548bc
Author: antiparvos <marcoslansgarza@gmail.com>
Date:   Tue Aug 13 02:02:17 2019 +0200

    l10n: Galician update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 57626985a8895e090a805bab6d6847a5fb3ee5c2
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Aug 14 12:23:15 2019 +0200

    contrib: dav1d: Update option names
    
    (cherry picked from commit a0f8ec0ee7093a77a98e92bac8c38423f6001f8e)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 90f510ddd403031e78537173f68a54967769c451
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Aug 13 17:50:07 2019 +0200

    contrib: bump dav1d version
    
    (cherry picked from commit 9636858bdc6346b8ee56bbefed0d47922da2b48c)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 1fff012916dc579ecd53a592140d115ebd50aea2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 13 15:20:42 2019 +0200

    demux: mp4: fix potential endless loop
    
    (cherry picked from commit 5de914227402e7ed7653cc5700c1e6c155d2428b)

commit b956711754000233a9ef0f36610f7805241ca458
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 13 11:27:14 2019 +0200

    transcode: video: patch missing chroma in decoder format ouput
    
    (cherry picked from commit ef647f9a101cf281b59544555bba3a2d7d43d58c)

commit b823b1900909a2d1e7cac6067e8210836b7d1702
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Thu Aug 8 04:09:14 2019 +0200

    l10n: Turkish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ab885ebad22890f48b3e8690c8fbfb328b96bfad
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:   Thu Aug 8 12:34:05 2019 +0200

    l10n: Swedish update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 879aae865147b3c404077eea7d84b5dced80ac28
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Aug 12 14:18:22 2019 +0200

    extras: NSIS: Remove unsupported language

commit 7c351860333b60b3db08daea4afad0e8384425de
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Tue Aug 6 15:07:20 2019 +0200

    vout: fix low framerate stuttering
    
    In ThreadDisplayPicture(), when "refresh" was true, the output parameter
    deadline was not written and the function returned a non-zero value.
    
    As a consequence, in video_output.c:Thread(), the next loop iteration
    waited for the max deadline (100ms). When the following frame target
    date was before this deadline, the video was stuttering.
    
    To avoid the problem, write the deadline before returning from
    ThreadDisplayPicture(), so that Thread() does not wait more than
    expected.
    
    Since an existing frame is refreshed only every 80ms
    (VOUT_REDISPLAY_DELAY), this happened only on low framerate videos
    (<12.5 fps). Otherwise, "refresh" was always false and the problem never
    occurred.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 6c5eabe76fd6f4827adc7b9931e8519b8a157b66)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f3047d413432cf472fd1ca3c3559063ab0f03975
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Aug 8 12:22:14 2019 +0200

    configure: Require libebml >= 1.3.6
    
    (cherry picked from commit 51c8c0c89b6facdfa65a4d2d076db4a20c12a66b)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ab7ae30e38e8c4c9f76111aed47cfb7ebaf2463f
Author: Anton Regnander <anton_r_3@hotmail.com>
Date:   Wed Jul 10 12:38:17 2019 +0200

    l10n: Swedish update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 78280849cbd8f2adfcd98f5ebcc7ed29be3465f8
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Jul 9 00:07:05 2019 +0200

    l10n: activate new NSIS languages: Asturian, Corsican and Khmer

commit 0ba510feb09521d9691a3232010a884e00f8ded5
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Jun 23 01:23:11 2018 +0200

    l10n: Khmer NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 9cf747a90e43d064556117a00c7d1c337d02cf4f
Author: Patriccollu <Patrick.Santa-Maria@laposte.net>
Date:   Sun Jul 7 12:04:15 2019 +0200

    l10n: Corsican NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 23026a1d8c7f9c32cb57c052768b1c956d8b3a01
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Jul 2 23:29:49 2019 +0200

    l10n: Asturian NSIS update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 33d9eb49b5d38bb4493e9c950f052483fc6f1061
Author: Marián Hikaník <podnety@mojepreklady.net>
Date:   Wed Jul 3 20:01:38 2019 +0200

    l10n: Slovak update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 7c93105795797a30b765003988d450a384a01f15
Author: Sidney Doria <ssdoria@gmail.com>
Date:   Fri Jul 5 12:51:02 2019 +0200

    l10n: Portuguese (Brazil) update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit bf76011e81c17ac081e68dbb34d3051ebbab5690
Author: Ingmārs Dīriņš <melhiors14@gmail.com>
Date:   Fri Jun 21 10:15:44 2019 +0200

    l10n: Latvian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 41ddb5ec8e2ab3210d0983fbdb2491ee5e3cfaad
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Tue Jul 2 04:09:58 2019 +0200

    l10n: Icelandic update
    
    70% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 7b3d1ff09664a2782125c5473d95e5931b6a7c6c
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Jul 5 13:50:35 2019 +0200

    l10n: Hebrew update
    
    58% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 01b5ea22b900391fa844ef5f3143c223ea0a4a1b
Author: Yann Ricquebourg <yann.ricquebourg@gmail.com>
Date:   Wed Jul 3 23:00:13 2019 +0200

    l10n: French update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit d66e01d80cdb303306bcc2618c23e2e8f4006a3a
Author: picodotdev <pico.dev@gmail.com>
Date:   Tue Jul 2 11:38:00 2019 +0200

    l10n: Spanish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit f4df3daf4f1a50eb000e2f95ee4e0a426d31125e
Author: Petr Dolejší <dolejsi.petr@gmail.com>
Date:   Sun Jun 30 19:28:25 2019 +0200

    l10n: Czech update
    
    62% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit cfe426a6803404edcf0fe99cfefe8a327c17a6a1
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Aug 8 11:53:20 2019 +0200

    upnp: Fix potential race during tear down.
    
    If two threads call UpnpFinish at the same time (or more precisely, if a
    2nd thread calls UpnpFinish before the first one sets UpnpSdkInit to 0)
    we can end up double releasing most libupnp resources
    (cherry picked from commit 2873288c7c7b1f62f67ce41b1928b326019f7898)

commit f97c87202731a79cc25d3639635e04335ea014e8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Jul 29 14:38:32 2019 +0200

    Update NEWS

commit 105b990da9cb27db7e7763e75e4f77a74a50b597
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Jul 29 14:38:15 2019 +0200

    NEWS: fix typo

commit b80f75f8318f5ebc5629a526931d77a82e83860e
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sun Jul 28 13:13:12 2019 +0200

    codec/videotoolbox: Fix uninitialized pts in late start case
    
    (cherry picked from commit 14f5f65d612bcb6e8e61223e818ebc84b11103b5)

commit 72ab7359fdf4fa533ea6a2bea3c2232538b01aa1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Apr 23 14:34:37 2019 +0200

    demux: hls: probe content
    
    Solves issues when the server does not sends proper MIME
    and the file does not match known extension.
    
    (cherry picked from commit dfe4aca1f22265115e07c501a77c870cfea4cd52)

commit 5b650e1a9b1d546703e7613bebf38549967e6478
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 21 13:24:39 2018 +0100

    demux: hls: add probing by mime type fallback
    
    (cherry picked from commit c8ba5435acd96605dd1585b30432a26a30aeaf63)

commit 8627980de6272da2177197691fb480564c214fff
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Apr 19 18:28:30 2019 +0200

    demux: adaptive: add source stream peek method
    
    (cherry picked from commit d0c6bbb5affcce58e78239bb82ec8ac8cf8f60c1)

commit 3cb56185abc8bb74c875e3907310c2f5e864eba4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Apr 29 16:09:21 2019 +0200

    demux: adaptive: fix missing first block with sourcestream backend
    
    (cherry picked from commit 3853d029869ec0f2e38b0d967cc87a133226f5fe)

commit dceaf0e175026ca965fdf17251bc2494ce605483
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Apr 30 18:29:38 2018 +0200

    demux: adaptive: use buffered source stream
    
    (cherry picked from commit c3869a48e14b875f0eb398fabcdd7088b949bd2b)

commit 9ab27936f1b33a7c909f3f0ac5cf378cf1d19533
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Apr 26 15:20:03 2018 +0200

    demux: adaptive: add buffered chunks stream
    
    provides data backend to prevent breakage
    with unwanted seeks (mkv)
    
    (cherry picked from commit ade73f871752a8163dcf123492076e77324bf700)

commit ee139ff01a0d251dfb7c203d4c90c40570857388
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jul 17 22:09:01 2019 +0300

    va: fix mismatched var-arg types

commit 814e0bcca188aaa370c1c53a470c73f73f883818
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jul 17 22:04:30 2019 +0300

    vaapi: fix mismatched close callback prototype
    
    (cherry picked from commit d01a9ca8a321b99d18a87fd49cee7e226262420d)

commit b03729f0d869e5258b6f752aff1f0e51a1b94af1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jul 17 21:46:03 2019 +0300

    wasapi: fix stop callback prototype

commit e2b5eb9b880380448587b32546a279497d626d96
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Jul 17 15:56:03 2019 +0200

    audiounit: update device latency when the route changes
    
    (cherry picked from commit b46f49a81ce75d026b9fac1d00f5568c4a5ce6d3)

commit 6828c739026cc046a9576751439568269bfb58aa
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Aug 29 11:07:38 2018 +0200

    vout: opengl: converter: prevent FPE with cropped empty spu
    
    (cherry picked from commit 90989df9e3aab300c2d09a8eb9c0570e4cba4efa)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2b4f9d0b0e0861f262c90e9b9b94e7d53b864509
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon May 20 14:27:39 2019 +0200

    codec: avcodec: fix broken check before copy (fix #22240)
    
    copy parameters are the picture ones
    
    regression by c988b8d58b01ef6d628e3051774a2032dd7f6b7d
    
    (cherry picked from commit 603ecaf0f3fdf3b0a83cd2c773e05ac347b2149a)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 9e644bdf34642dcf314d06ab10de69ac681566d8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jul 12 13:08:40 2019 +0200

    pulse: fix playback with very small inputs
    
    (cherry picked from commit 0a1a317c452ea9c45ace3a485419010a449947f8)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 753fd23a64b36167dd1d7a672d9565000d9ad72b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jul 16 09:33:11 2019 +0200

    auhal: don't apply dev latency two times
    
    It is already handled by the render callback on macOS.
    
    (cherry picked from commit bd6e2265a551ec27632285a08efd70a3018b4bd7)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c645bd5ddbec6d5613768c5bc78a7c503036e584
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jul 16 09:32:26 2019 +0200

    auhal: check getprop of kAudioDevicePropertyLatency
    
    (cherry picked from commit 1f46192f33972d1b6d614218b3d0082a829ce478)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 340062e2cd336870194101a887c9e4cb0a369a6f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jul 16 07:30:50 2019 +0200

    coreaudio: move out latency log
    
    (cherry picked from commit 3f389be6ecde7a6d782603204f85266016d50f3c)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit bad7a26b7c50db895066e81823e493a108c5ef2a
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Jul 15 17:01:21 2019 +0200

    coreaudio: don't print underrun warning before first play
    
    It's perfectly OK to send 0s before the first buffer is played.
    
    (cherry picked from commit a34bf45cd6f4b212b79e71b80c056cb392eaf7f5)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 704bd1291f203684cb5b87841697a4f68714dea6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Jul 15 16:58:22 2019 +0200

    coreaudio: fix first time_get return values
    
    Don't return a valid delay of 0 when the delay is still not known.
    
    This triggered VLC drift correction from aout_DecSynchronize() and could caused
    flushing of first buffers or ressampler being inserted.
    
    This also fixes playback with audio devices having a long delay (>= 350ms).
    Depending on few options (like the rate), VLC was never able to catch up with
    this first valid delay (so it was flushing in loop).
    
    This commit apply for both macOS and iOS.
    
    cf. https://code.videolan.org/videolan/vlc-ios/issues/344
    
    (cherry picked from commit bdd96900164739b72220334bdbda511aff708caa)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 83845f362e0cd415c99500e2d984d0a7fea51168
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jul 11 10:09:20 2019 +0200

    demux: asf: ignore non seekable flag if there's an index
    
    (cherry picked from commit adafc7d317003803388ec6f38a19b18a4e2a35b6)

commit 0f44d147812899446376b8521556cfe629df13ef
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jul 9 14:38:44 2019 +0200

    demux: avi: continue parsing list on empty box
    
    some broken files have empty strf between 2 strh
    refs V_CODECS/qnap/2010-10-15 14-02-00~14-04-00.avi
    
    (cherry picked from commit 55febc1e137d4f7ae0683d287594de5ebe93d468)

commit 155fca817708459f0d7ef1b9b7d4bbf70c747b47
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jul 9 14:43:38 2019 +0200

    demux: avi: force packetizer for QNAP codecs
    
    (cherry picked from commit 8b8718cd6be010196316f029126ec8541e1d273b)

commit 813c3159de2d9ea3fc7df0e613e76533b4e74b49
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jul 8 15:38:48 2019 +0200

    demux: avi: remove header from QNAP codecs
    
    (cherry picked from commit 62d9193dcd958445a9fa4ef1049a046e4c7b02f6)

commit 9b9c448889db2fe40fa52afa251a578e020fda41
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jul 8 14:00:50 2019 +0200

    demux: avi: refactor block output code
    
    (cherry picked from commit fc77024ebbb318e2d6ac8ef91626de2dcbb31fa6)

commit eb134f1834e4fe5f3c372420bea81bc531df7d49
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jul 8 15:36:48 2019 +0200

    fourcc: update QNAP descriptions
    
    (cherry picked from commit 9aeacafe19943509ad74db80da2980dc611f038c)

commit 955e0869c173697d5ea18edec1f5dcc78abb9694
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri May 17 12:10:05 2019 +0200

    Add w264 for QNap h264
    
    (cherry picked from commit d6471a284c54abc36051d3331111ca7c6b5a8526)

commit 2ed25c9a35d49a17c561c930b1e6c41d080b96d6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 7 17:46:58 2018 +0200

    contribs: dvbpsi: fix duplicate pkt fake positives
    
    (cherry picked from commit 82af958a696e2047ccb3c311e3607b1fea7c9483)

commit 9368f7783284697272563bba24b866cf1864814c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jul 24 22:26:21 2018 +0200

    demux: ts: workaround HLS dumps
    
    Triggers duplicate packets on some boundaries
    and artifacts. There's no way to tell if that's
    a real discontinuity or duplicate packet.
    At least we can discard false positives for duplicates.
    
    (cherry picked from commit 3a794b149b9bf2bd2225f94c1cf05c4d5f31724c)
    Backported because it seems also needed for non HLS dumps

commit daec5391b99e6cc49fae9ee4da899e5b57916695
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Jun 21 18:04:12 2019 +0200

    direct3d11: rework the check on AMD drivers capable to display decoder NV12
    
    The test allowed either version 20 and above OR version 162 and above.
    Both conditions need to be true.
    
    Add more known bad drivers to the documentation.

commit 379d8989b7d9e1b362c62937130496ff36630f92
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Jul 1 18:37:58 2019 +0200

    contrib: Qt: Use our mirrors

commit 117c30ae02fc4ddef7232d5aaa148a34a9ccff1c
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Jul 1 18:35:57 2019 +0200

    contrib: qt: Fix urls

commit dab9358836cd0bf0c1148803a7370d511683a097
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Jul 1 18:34:23 2019 +0200

    On the road to 3.0.8

commit c08342b22e47b2f1ec4d6b1a2028f1cf0f8f74b9
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Sat May 25 10:02:08 2019 +0200

    l10n: vlc.desktop update
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ae8977e4f9316a3a5717583773eda32ffe7db98b
Author: Ingmārs Dīriņš <melhiors14@gmail.com>
Date:   Fri Jun 7 09:56:00 2019 +0200

    l10n: Latvian NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 8e6ca13e250f98aaed686a236a7420ecb4f1ff9d
Author: Thomas De Rocker <thomasderocker@outlook.com>
Date:   Thu Jun 13 17:34:37 2019 +0200

    l10n: Dutch NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0b342010376fd1fddc59a8ec4758f56348e93e6e
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Thu Jun 6 14:06:05 2019 +0200

    l10n: Turkish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 7469f1e3d5943cb328f89b0ed5813a82da489ce8
Author: Anton Regnander <anton_r_3@hotmail.com>
Date:   Wed Jun 12 07:16:42 2019 +0200

    l10n: Swedish update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f66446abb0233ca1502d3db610870a53fbc26499
Author: Marián Hikaník <podnety@mojepreklady.net>
Date:   Wed May 22 19:46:21 2019 +0200

    l10n: Slovak update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d5e786e7588ada12bad81d8e767bf7835478574c
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Sinhala update
    
    42% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit a6904062acf90ee097f9708523bf32dd7ba39737
Author: Manuela Silva <manuelarodsilva@gmail.com>
Date:   Wed Jun 5 11:30:52 2019 +0200

    l10n: Portuguese (Portugal) update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 50adec509a3d83022529a4479af4756686c64c74
Author: A S Alam <alam.yellow@gmail.com>
Date:   Mon Jun 10 00:59:14 2019 +0200

    l10n: Punjabi update
    
    55% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 44c9a0708c02a8b6800df75cb25db247f09e824d
Author: abuyop <abuyop@gmail.com>
Date:   Thu May 23 00:57:13 2019 +0200

    l10n: Malay update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 156254dbb9e6533437d45d55860eb1b96d5b4045
Author: Jonathan Joseph Chiarella <jonathan.chiarella@gmail.com>
Date:   Sun Jun 2 00:01:14 2019 +0200

    l10n: Korean update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2e97d3af66d62b2a1b6de91446d132a025b97cf3
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Tue May 21 23:10:10 2019 +0200

    l10n: Icelandic update
    
    70% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 3947220f59a5627e4e3fe763eb37d21b48c76511
Author: antiparvos <marcoslansgarza@gmail.com>
Date:   Wed Jun 12 12:42:23 2019 +0200

    l10n: Galician update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 883ea02b909994607dfe014d2883cc4f38888e4a
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Thu May 23 14:55:44 2019 +0200

    l10n: Estonian update
    
    78% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 3dfa6d4ddd0922552e6575ded416f62b8ce828f5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jun 29 17:36:03 2019 +0300

    prefetch: match read size from versions 2.2
    
    VLC versions 2.2 and earlier had 3 "tracks" buffers of 4 MiB each for
    the input stream. This resulted in single reads of (up to) 4 MiB.
    This patch matches the read size and thus performance of said older
    versions.
    
    This matches 6f58cd15a29ec77f5117e709a5c5a7126b9148c8 in a less invasive
    fashion. Fixes #19806, #19988, #21470.

commit 05eb4441af9ce9c241c9a7683d57df3d7b9dd689
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jun 27 23:19:38 2019 +0300

    mp4: fix integer underflow
    
    Reported-by: Hyeon-Ju Lee <zorurione@gmail.com>
    (cherry picked from commit 8e8e0d72447f8378244f5b4a3dcde036dbeb1491)

commit 3d908809f7b315061bae5df8c9c16b5df6f86ec7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jun 27 23:19:38 2019 +0300

    mp4: fix integer underflow
    
    Reported-by: Hyeon-Ju Lee <zorurione@gmail.com>
    (cherry picked from commit b2b157076d9e94df34502dd8df0787deb940e938)

commit dedb3bda998ca2d56960f6f4d3bccd5e643e28e3
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Jun 15 15:53:21 2019 +0200

    youtube.lua: support "sp" when passing descrambled signature
    
    The new signature scheme expects the descrambled signature in the "sig"
    parameter of the video URL, rather than "signature" formerly. There is a
    parameter indicating just this in the stream map: parse and use it.
    
    (cherry picked from commit 987e020aa280b6f2a9a71b3e8ccf829fd28983f5)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 5ed96818ee992081280ec0b2c3b94361ccdb6260
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Jun 15 15:32:16 2019 +0200

    youtube.lua: handle URL-encoding of signatures when descrambling
    
    A new signature format has been phased in, using base64 instead of
    hexadecimal encoding: the base64 "=" characters need to be properly
    URL-decoded from the stream map, otherwise descrambling will fail.
    
    (cherry picked from commit 6a5e7b0f2900b1198af75655411c612e9e40f9ae)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 66b355f2b4069822e9193ed69349018a37171fa1
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Jun 15 15:15:28 2019 +0200

    youtube.lua: drop obsolete support for unscrambled signatures
    
    It seems that unscrambled signatures are now already integrated in the
    video URLs provided in the stream map, thus there is no need anymore
    for this code merely appending them untouched. That unscrambled "sig"
    parameter used distinctly from scrambled signatures doesn't seem in use
    anymore. The current javascript code doesn't seem to provide any support
    for this case either.
    
    Only properly scrambled signatures remain requiring this processing.
    
    (cherry picked from commit c4ceff997bfee89a5e287cad0e574b1c550f2786)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit c55d647f0aa623393dbb60dfa8854d9613e8d737
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jun 14 16:22:53 2019 +0200

    codec: subsvtt: fix inverted test
    
    (cherry picked from commit 42a128fa926e0f10112f0c053777237ce97688f0)

commit 8dde06d13e9ca09fc2524c616310e3e41a3e0232
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jun 13 14:42:41 2019 +0200

    demux: mp4: set final codec for sowt/twos before reordering (fix #22420)
    
    (cherry picked from commit 0c25ba56279fc495afe9d089e2bbcf051a296487)

commit ea13b2bfe3c43bb77e77e6262aff95d4ec984827
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jun 14 10:27:31 2019 +0200

    codec: subsvtt: unbreak rendering (fix #22425)
    
    5ef3830f385bfa6a47e9088f9a0d13062cd61c3a regression
    
    (cherry picked from commit 749b7b3729a5892d1a07036ef0974c17ddbe9e2e)

commit 26acdaa9caab8b516cf539e18d9b031314376609
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Jun 11 20:13:42 2019 +0200

    Update NEWS

commit 23b7c7242641db2f1d4eb63e3f6515e35fd79cb3
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Jun 11 19:01:16 2019 +0200

    macOS package: include all libbluray jars in the package
    
    Now, two files are needed.
    
    closes #22412

commit f3940db4af197ba7218e604dd0a6733654015770
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Jun 11 11:51:59 2019 +0200

    Bump version to 3.0.7.1

commit 18c9ec5c3011675f01bf65f19a058ee22541184d
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Jun 11 11:51:18 2019 +0200

    Update NEWS

commit 328124445ba9133ddb15f9964eab46d9714e25da
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jun 9 09:13:59 2019 +0200

    Contribs: update libbluray to 1.1.2
    
    (cherry picked from commit 3aaedbf6c1a84216503941d55ccc4629e97fe88a)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 477ed1806ad8e0101f6b1aec8561b26f8280318a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jun 11 09:49:44 2019 +0200

    direct3d11: more restrictions on AMD drivers capable to display decoder NV12
    
    Old driver versions had a revision number bigger than 1000.
    
    VLC 3.0.6 had a check on
            .wddm         = 22,
            .d3d_features = 19,
            .revision     = 162,
            .build        = 0,
    
    (cherry picked from commit 72022d99277b4b66a1990a59156edc2938d7f112)

commit 4b9eb828850299edc28a579130a41bd038dc1c45
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Jun 8 08:52:50 2019 +0200

    Revert "contribs/vpx: Use HOSTVARS"
    
    This does not have the desired effect and breaks other builds.
    This reverts commit 51716a123ff5144ff6c72ac4ecee67b3e3d088f6.

commit 51716a123ff5144ff6c72ac4ecee67b3e3d088f6
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Jun 6 18:18:07 2019 +0200

    contribs/vpx: Use HOSTVARS
    
    Set HOSTVARS like with other contribs, to let the library select
    the correct compiler.

commit e7850b76a547f0988c86b6d628ec9e2c67203048
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jun 7 10:58:41 2019 +0200

    audiotrack: also check device capabilities for API 23
    
    (cherry picked from commit dca2bfceb88b8628abcfb5ffc7785dcd9fd5f369)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 7b500e12213554f2d0ebda3e850ae46367de8fb8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jun 7 10:57:29 2019 +0200

    audiotrack: rework ConvertFromIEC61937 condition
    
    i_format = VLC_CODEC_SPDIFB only for API 23, cf. StartPassthrough.
    
    (cherry picked from commit 88aa2e8e9d0bdc5ca708a1bde1c651970e3e82be)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 891ad351107f71acadffad3025d078377dc1a942
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jun 7 10:55:56 2019 +0200

    audiotrack: fix length for DTS_HD
    
    Unlikely to fix anything since this code patch is disabled. DTS_HD had never
    been tested and enabled on API 23. It is working on API >= 24 with IEC61937
    encoding.
    
    (cherry picked from commit 09e8e01e19e5f588244a9dcf183eb04d25fb9e56)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit fc6375d4fb8a1c324619037ff3e570f8cd30c7e7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Jun 5 14:28:59 2019 +0200

    audiotrack: check buffer length
    
    (cherry picked from commit 6267775649af7d9433973e570638e6c24b5c7698)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 175fb2f7a5dcef491d98648ed3a3c6dc24b12dc3
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Jun 6 15:26:45 2019 +0200

    npapi: Use the 3.0 branch

commit 6e156ad2eae246fafcefc0e88df60bfadaeb4771
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jun 5 17:11:10 2019 +0200

    demux: adaptive: fix PKCS7 padding
    
    cherry-picked from a968e4f071032d089da2601e9238d8100c1fac74

commit e630c98e10dad66ce16d4639b4f732f7f82a4b3e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 3 12:02:38 2019 +0200

    Revert "video_text: copy the output colorspace into the region colorspace"
    
    This reverts commit 08b8ef7cf313971c69d401a9b05c3b788d08e8d2.
    
    (cherry picked from commit 2c83dd314d870387e155469b03d6a5cd5e05933c)

commit fe1eb71e84c712f69d0f47c036c114c290aab925
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 3 11:52:34 2019 +0200

    video_output: assume rendered text is in sRGB if no colorimetry is set
    
    (cherry picked from commit 16bd6f1c87c7882318be6da4b9346d41f73259ab)

commit e643bb1110d343438bed6f25617525ebdb28d6bd
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 3 14:13:03 2019 +0200

    png: set the colorspace and primaries to sRGB as well
    
    The transfer was already set.
    
    If we don't do that it may be assumed to be 709 or 601 depending on
    the picture dimensions.
    
    (cherry picked from commit 3275083c5e6aeac895a6fd8c76afc3c36c8f0a5e)

commit fecfba72d39f055a5f1b0c75bea43bc441927208
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 3 14:12:54 2019 +0200

    jpeg: set the colorspace and primaries to sRGB as well
    
    The transfer was already set.
    
    If we don't do that it may be assumed to be 709 or 601 depending on
    the picture dimensions.
    
    (cherry picked from commit bb405fd42020c877fe9ce301004da499dfc7e050)

commit 856d07a524e1a16879cfd2a1be7e239d69eba8a1
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 3 13:24:33 2019 +0200

    logo: keep the colorimetry parameter from the decoded picture in the region
    
    (cherry picked from commit e2fd9edee88cc5c3638eae1a883f276149088add)

commit b4e6372652912b96558eda4f158efb9b60f1ca2b
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 3 13:23:54 2019 +0200

    image: use the colorimetry parameters from the source when converting
    
    (cherry picked from commit 282ae08400653615bbb90c0e5f75915991869fd7)

commit 74d3c61c74393ddb0135b9228f37ab2783562d3f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed May 29 15:18:01 2019 +0200

    contrib: ffmpeg: set the alternate transfer function early in H264
    
    (cherry picked from commit a8c5fc709d08c17ccdcc1867e7a7c801d3d614df)

commit 1aa1fd6173c593133781024e5bd0a349a3fae17d
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon May 27 16:19:18 2019 +0200

    contrib: ffmpeg: set the alternate transfer function early in HEVC
    
    (cherry picked from commit 1473ad989ac8f96c51af46d3ad0e90bbb3e6f2e8)

commit 2874cb181a135317042ef50332bb8bacd8de2885
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed May 29 11:56:36 2019 +0200

    direct3d11: fix the luminance scaling at each step
    
    The conversion to Linear should end up with the max luminance, not
    normalized to 0..1. The conversion from linear also assumes non normalized
    pixel values.
    
    The luminance scale also needs to be applied when not tone mapping (SDR to PQ).
    
    (cherry picked from commit 594f02e8f6f48ce3df1e85a21baae83be1e43c50)

commit b8d84a20ddd42091f401d11aaebc3ae8b97e6123
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 28 09:41:45 2019 +0200

    direct3d11: the peak luminance of HLG is officially 1000
    
    (cherry picked from commit 43e5fb14483055fa47eb73f79f4810891f2722d1)

commit 40efc8be2c1ff33c98348d79e5537786bbe5bd9f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 28 09:17:08 2019 +0200

    direct3d11: remove stray semicolons
    
    (cherry picked from commit c42d84745d050dd21077929bd5897168709e9c41)

commit f37334543d3313e01cf2be74591f0fcb0d1c87f4
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 28 09:10:23 2019 +0200

    contrib: lame: fix a crash when compiled for ARM with MSVC
    
    Probably some issues with the FLOAT in the structure.
    
    (cherry picked from commit ecbd1205a00dedd707fee4e9be91de75d366e0bc)

commit 118d6aab86860451c08ffbcda68434c11a105b9b
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Sat May 25 12:01:48 2019 +0200

    playlist: fix temporization delays
    
    The slowdown multiplicator started at 2^1 (2) instead of 2^0 (1).
    
    As a result, the delays were:
    
        200ms, 400ms, 800ms, 1.6s, 3.2s, 6.4s
    
    instead of:
    
        100ms, 200ms, 400ms, 800ms, 1.6s, 3.2s
    
    as expected and documented.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f5d9cf06fd9656f86574662e6d10c78fa442d3df
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon May 27 09:11:03 2019 +0200

    contrib: update libmatroska to 1.5.1
    
    (cherry picked from commit cfb18f369dcbe4639b1ca641e8c09ed9d1a990df)

commit fa89eb26213b143426adf2ab3351ca153662a23e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon May 27 09:10:17 2019 +0200

    contrib: update libebml to 1.3.8
    
    (cherry picked from commit 7196586c6d9deeb8dcdadf11d494588f6ec93492)

commit 86cee310996569c2ee419a457107141ac472536b
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri May 24 14:44:25 2019 +0200

    Update NEWS

commit c792fc108ec122aac1c069c02cb86087dcd51060
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Tue Jan 15 18:25:27 2019 -0500

    contrib: png: update to 1.6.37
    
    From the release notes of 1.6.36:
    "Fixes some build issues, adds a couple of small optimizations (ARM
    png_do_expand_palette(), Intel SSE2 memcpy()), and updates the license
    (identical terms to the zlib license, with the old license appended in the
    manner of the Python Software Foundation License version 2, and the list of
    contributing authors moved to a separate AUTHORS file)."
    
    1.6.37:
    This release fixed CVE-2019-7317, although our png module is not using this API.
    
    (cherry picked from commit a643b2fa1cd6bd74e1613fd66fe0fe724cb695e8)
    (cherry picked from commit 6bfeb1d885a238959ca254076035e928a701beda)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d06622651fcd4a608c06cb35e725fad57bf38167
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Wed May 22 15:25:47 2019 +0200

    playlist: temporize on errors
    
    When repeat/loop is enabled, and items fail to play, VLC enters an
    infinite liveloop and floods errors.
    
    We cannot just stop on errors, because retrying indefinitely may be the
    expected behavior:
    <https://trac.videolan.org/vlc/ticket/18582#comment:3>
    
    Instead, wait some delay before starting the next item, depending on the
    number of consecutive errors:
     - 1st error: 100ms
     - 2nd error: 200ms
     - 3rd error: 400ms
     - 4th error: 800ms
     - 5th error: 1.6s
     - further errors: 3.2s
    
    A single successful playback resets the errors counter.
    
    Note-from-committer:
    --------------------
    This is not a complete and correct fix, but this hides the issue for
    our users for the vast majority of the cases.
    Once a proper fix is done, please revert this.
    
    Ref #5901
    
    Fixes #6245 #6339 #7305 #7798 #8893 #9230 #11066 #11961 #12104
          #12909 #13878 #14679 #15805 #16697 #17660 #18582 #18942 #19284
          #19313 #20365 #21564 #21672 #21897 #22118

commit 18d7d0855a5329e09dea7ff9bb9f1fe48d4730a6
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu May 23 20:58:19 2019 +0200

    macosx: Unset p_interface_thread outside of the autoreleasepool
    
    In theory, some objects are only released during drain of the
    autorelease pool (i.e. at the place of the closing bracket of
    the @autorelease block).
    
    Some of those objects might need getInf() in their dealloc code,
    so this pointer should stay available at this stage.
    
    Should fix crash id 8f0bb1b4-fa5a-4d92-bcb3-9f6c0130fc86.
    
    (cherry picked from commit fdbf7317e0234a837fd7302f3b405f727c0635b7)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 9434e461cbeda389644f9d5c568d4bd5621e3b34
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue May 21 15:22:27 2019 +0200

    Update NEWS

commit e326f9a26d4aa5726a85e92f82fc01a5fd3f7c45
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue May 21 13:59:56 2019 +0200

    dmo: Fix use after free
    
    https://hackerone.com/reports/513704
    
    (cherry picked from commit c6b07d7cec3c2684f4bbc702cd1be6f18813f8f2)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e989a5121d3b4356908f7b4b24a44bb0ba393ff8
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon May 20 17:17:49 2019 +0200

    subsvtt: Don't pass a NULL pointer to qsort
    
    (cherry picked from commit 5ef3830f385bfa6a47e9088f9a0d13062cd61c3a)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 8b7db5e19d2eeb092efac0ef252cf17a79ec82ad
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon May 20 11:43:26 2019 +0200

    mkv: Fix potential double free
    
    (cherry picked from commit 81023659c7de5ac2637b4a879195efef50846102)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 9ea95ee8c85d839d5482cc9876a8df4d299fd741
Author: Zinuo Han <ele7enxxh@gmail.com>
Date:   Mon Apr 1 11:44:26 2019 +0200

    svcdsub: Fix potential buffer overrun
    
    https://hackerone.com/reports/504722
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 3d2507c632003920484098e05fb21736a4c9956d)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e8bd0847e2bd7059e9d484b1c085c92158732675
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Mar 28 12:38:39 2019 +0100

    ps: Fix read buffer overflow
    
    https://hackerone.com/reports/504484
    
    (cherry picked from commit de2d56055be37bf4d18ceb1623bb341f69d2d86e)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b96e1a6380368240a156d84617c4379df14b0ec1
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri May 17 13:17:41 2019 +0200

    avi: Fix potential integer overflow
    
    Leading to an out of bound read
    
    https://hackerone.com/reports/501971
    https://hackerone.com/reports/484398
    
    (cherry picked from commit 2e7d1075b715e4e7a8772039c9a74b4834e64342)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2e2951692473e528fa30c6b079876f32a8c5e96e
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri May 17 12:03:16 2019 +0200

    mkv: Drop mismatched track types
    
    https://hackerone.com/reports/503218
    
    (cherry picked from commit 1c1923d8f63e6fc8d9389b16c806b6e32bcde03b)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit cdc401914e800f708e4a1a7d76c781180999d6fd
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri May 3 22:42:34 2019 +0200

    mkv: Fix potential buffer overflow
    
    https://hackerone.com/reports/503218
    
    (cherry picked from commit af75fb6f24d74e51dbddeca5c6692404e7b25307)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit fc5264253daed194d98523810877c7ecd27b9de7
Author: Zinuo Han <ele7enxxh@gmail.com>
Date:   Mon Apr 1 11:57:35 2019 +0200

    ps: Fix off by one
    
    https://hackerone.com/reports/504469
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit f8c682365bf529879e61df449f19008a4c160ba5)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 46ba007cac64adc21ec9ab390ccf8c3a14ed6a19
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Mar 26 10:23:22 2019 +0100

    contrib: faad2: Fix a couple buffer overflows
    
    https://hackerone.com/reports/502816
    https://hackerone.com/reports/507858
    
    (cherry picked from commit 16d40d9f8a57b6bdd01b8ee0ecf5147547d5953c)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 10aa791068a39acc905ce25b3c13aad48d5c465c
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Mar 22 18:29:40 2019 +0100

    nsc: Fix potential integer overflow
    
    https://hackerone.com/reports/513470
    
    (cherry picked from commit 30e0a2fd82cb53b18fae620e5e4ca3dea03fabe1)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c49d57cbe5f0912af0dbd9afd465145127c71f9a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri May 3 14:31:26 2019 +0200

    demux: mkv: avoid applying cross category elements
    
    (cherry picked from commit 5ce2f287851396e650d57da3f9804e2653198aaf)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 6c0e7f7c01b90e0c5d875e85572cc35c432883ab
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Apr 30 20:17:56 2019 +0200

    packetizer: flac: fix infinite loop
    
    (cherry picked from commit 889fbe9a7338d9ebfbb7fa7e40e4a2ae0434e1fb)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit dff02de2e49c1e3f8e74cfbe8cc0b5d28d7fa0b1
Author: Zinuo Han <ele7enxxh@gmail.com>
Date:   Wed Mar 13 17:58:41 2019 +0100

    asf: Fix potential buffer overrun
    
    https://hackerone.com/reports/496376
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 8f1b86e31376ecbf985a9fa4d34b3056cbbef695)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f141823654dbd20b6cc68eaa2bed4281f9914983
Author: Will Newton <will.newton@gmail.com>
Date:   Tue Feb 12 16:33:17 2019 +0000

    modules: Use UpnpResolveURL2 API instead of UpnpResolveURL
    
    The UpnpResolveURL APi is very hard to use correctly and can
    result in buffer overflow issues. Use the UpnpResolveURL2 API
    instead and fix two small buffer overflows.
    
    https://hackerone.com/reports/494841
    
    Signed-off-by: Will Newton <will.newton@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 18a463930511f908733e95906abbeb43430ee09d)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit a31ca516a02678579c312897e648c64135725867
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Mar 5 15:55:29 2019 +0100

    faad: Fix potential stack buffer overflow
    
    DoReordering is bound by frame.channels, but the source array was bound
    by AOUT_MAX_CHAN
    
    https://hackerone.com/reports/503208
    
    (cherry picked from commit f256bf045c2b1f7395f61b2039a67f18aee66673)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit fc62b4d2827fdd79a91f008d50cb4d3e70123ca3
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Mar 5 15:11:22 2019 +0100

    webvtt: Fix potential OOB read
    
    https://hackerone.com/reports/503663
    
    (cherry picked from commit ca3eb137460db80cf50c145242606157cde50a96)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit fcb73ab6156fcd26dfdab9799804ebecc82f2554
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Mar 5 12:34:18 2019 +0100

    spudec: Fix potential integer underflow
    
    https://hackerone.com/reports/504668
    
    (cherry picked from commit 824ffaaeebe9751fd62ad461145600457f28fe71)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2da2ed02b5ae3ffbefe448d848e602367d797c63
Author: Zinuo Han <ele7enxxh@gmail.com>
Date:   Thu Feb 28 16:39:26 2019 +0100

    ogg: Fix potential use after free
    
    https://hackerone.com/reports/501938
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 80ae65aa0878e54d78b277b37af9a82dcf6cb1f1)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit a947202827716f460c97b04896fb936f1f318ec0
Author: Zinuo Han <ele7enxxh@gmail.com>
Date:   Thu Feb 28 15:46:04 2019 +0100

    xiph: Fix potential buffer overflow
    
    https://hackerone.com/reports/502579
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 716d533181e8cc15085b30d265a76a9273228759)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e1db0dcfffd2fde3b2dcec5b42690f7098bfd310
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Feb 28 14:54:44 2019 +0100

    textst: Fix potential buffer overflow
    
    https://hackerone.com/reports/503242
    
    (cherry picked from commit 6f8e90c21c102dc4653d4f0adc6cffc53fcddba1)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c915430f08475d423c67e2e5e61e20079d4a0cff
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Feb 14 12:07:56 2019 +0100

    demux: mp4: fix potential oob deref
    
    https://hackerone.com/reports/495092
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 019b548a38ce0e837469c556781e9c65141a4734)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit acbdf89276a3fca4581156b3f2830fd7d140b8e2
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Feb 11 16:06:50 2019 +0100

    contrib:ffmpeg: don't use EBML elements in Matroska that are bigger than their parents
    
    https://hackerone.com/reports/492882
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 8cf800fdcf92af25838ab71d2bb7f819f5d19149)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ce7cb059e8d61e4fcd47c079cb951f59b4808f98
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Feb 11 15:22:38 2019 +0100

    update: Fix potential null pointer dereference
    
    https://hackerone.com/reports/484787
    
    (cherry picked from commit fd3acfe9eb94b9edcf28fc83d519810ebeb859db)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 334c428ecc6714f8cf279ef61b1ae57fef998065
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Feb 11 12:17:53 2019 +0100

    contrib: matroska: do not use invalid lace sizes
    
    https://hackerone.com/reports/493336
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 289595cd896c92a04353db627cfa2fb13036b461)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d537d3c7c8b322c5ae71eeb239672cde4aac9fe1
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Feb 11 11:40:14 2019 +0100

    demux: matroska: don't use the RealAudio extra data if they cannot be casted
    
    In all cases we use priv->sub_packet_size which if much further than the first
    28 bytes.
    
    https://hackerone.com/reports/492886
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit ad0f99cfdef104f5af7701d5e1d0f9db39818752)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 30367a475241b6d8e65b016b0c87e37fcdb7deda
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Feb 11 09:58:41 2019 +0100

    contrib: matroska: fix writing on NULL memory
    
    https://hackerone.com/reports/493336
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit c850ad31fd888bfaf2e63845b78c219e8de70791)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 77dc7898520c141b26623311aedd4fe5146efdb9
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Feb 11 08:57:40 2019 +0100

    demux:mkv: clean the usage of es_format_t i_extra
    
    Make sure we don't use negative values or a value when the extra buffer
    allocation failed.
    
    https://hackerone.com/reports/493436
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit b4f6b391594c5321bef8e2d661b3dde51d88151a)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 1ea78c59b6533e60beb6cdb0d359cda451b80fd7
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Feb 11 09:00:06 2019 +0100

    demux:mkv: fix wrong value reset after clean of an array
    
    https://hackerone.com/reports/491495
    
    (cherry picked from commit d1d41b3f849d4e260c1ec09c5b1bb53db7f8107f)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 91f3b49532e66bd843392e1afd26b09a09594b7b
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Feb 7 11:28:30 2019 +0100

    mkv: Fix potential divide by zero
    
    https://hackerone.com/reports/491570
    
    (cherry picked from commit 040038da98fc92feb153b126acfefcf245567c88)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b49f20b6d816cd37b2682bda16caf26b0bfcaa59
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Feb 7 11:28:11 2019 +0100

    mkv: Use existing intermediate variable
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 283253e21f295d230110d287b0be03aa6e74be74)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 4de04606170d014c8b6ccca9fa5e896cca7af3af
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jan 29 15:59:23 2019 +0100

    video_chroma:copy: fix the number of lines for the second NV12 planes
    
    The pitch is similar to the full picture, but there's half the lines.
    
    Compared to I420 where the second/third planes have half width and half height.
    
    https://hackerone.com/reports/485437
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit eeb662bca2ab1dfd8e027606be84f7906b175a76)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b17763ee2ab54222432f194ec0d5fbca5afaa34e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jan 29 13:59:13 2019 +0100

    dmo: do not release the block twice
    
    We own the block though CMediaBufferCreate(), it will be released when the
    CMediaBuffer is released by the DMO.
    
    Introduced in a8b249bc6bf9cfd693389bf2c5c3c403955e241c
    
    https://hackerone.com/reports/484387
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 966879c5e23aef2779b64c573c291ad50e981f5c)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit a3c1b05a7a3b64697b9c21ac936d05cc61e30517
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Feb 20 15:52:29 2019 +0100

    contrib: ffmpeg: Backport an upstreamed patch

commit 5404b5e34da45eb5863b69d22891d5257402ad8e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 26 22:14:04 2019 +0100

    demux: ogg: fix read overflow
    
    (cherry picked from commit 289041f41a1d7d62da589ed01b1fa832fb68e7fa)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 8a336abfb053b0a634e021c672ad0128953035a8
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 23 15:33:46 2019 +0200

    direct3d11: add the HLG/BT.2020 OOTF adjustment
    
    (cherry picked from commit 8a46f3ebc23da63ba2198b745d7521ce6dd1ed40)

commit 51d537ac36a1326ad4f62f743291176bd3dbaf86
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu May 23 14:40:20 2019 +0200

    Update PO

commit 928c8a600e0dff712479d3b1d6e022bcb2b4252b
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu May 23 07:25:27 2019 +0200

    macosx: fix typo for Mexican in language list
    
    (cherry picked from commit 309295c46480158f4e747a9c65168142373c09ed)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 3042dcc569f6cf6034b03c6a761f79170466a28a
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu May 23 07:24:41 2019 +0200

    qt: fix typo for Mexican in language list

commit 114144be5b2770649111d51914001707d54e97ec
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed May 22 19:00:12 2019 +0200

    macosx: Update language list based on qt interface update
    
    (cherry picked from commit 7e510968662a2940c41661c2fbc17e46013bead5)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 3581f922b49553ca5b466822be6c4d5ac5a6d15a
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed May 22 19:12:10 2019 +0200

    upnp: Use TARGET_OS_OSX to check for macOS
    
    TARGET_OS_MAC is actually true when building for iPhone as well,
    therefore not usable in this case.
    
    backport of 0669e8a3393e0f3325a950ef444cdc2bacaf65ed

commit e1a7a1085284085ddd97f50aee03e5ae707bffae
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed May 22 12:29:04 2019 +0200

    qt: Update languages list
    
    Add new translations & remove missing ones & those below 35% of
    completion

commit bd78e9b0196bba8d27b2a0f38335a40ecbd38a91
Author: VideoLAN <videolan@videolan.org>
Date:   Tue May 21 19:18:12 2019 +0200

    l10n: Chinese (Taiwan) update
    
    65% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 9e922550a7170d64ad910680d4e3c1e4a85ac1d5
Author: Dian Li <xslidian@gmail.com>
Date:   Mon May 20 16:49:59 2019 +0200

    l10n: Chinese (China) update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 86f4fbb5f23f3c2b80dd6666c6496616253fe6df
Author: Андрій Бандура <andriykopanytsia@gmail.com>
Date:   Sun May 19 17:37:00 2019 +0200

    l10n: Ukrainian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 3e2a8899e1f53106ffb2433be3dfd8936daaf158
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Sun May 19 15:56:01 2019 +0200

    l10n: Turkish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 1ca9043a757b020b3237d4f2af9dbd6d3bfac5ae
Author: Marián Hikaník <podnety@mojepreklady.net>
Date:   Sun May 19 19:29:28 2019 +0200

    l10n: Slovak update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit c08746ef720454d2c53f86b145880055a9d150a9
Author: Alexander Lakhin <exclusion@gmail.com>
Date:   Wed May 15 19:31:04 2019 +0200

    l10n: Russian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 618c5274780d02a30bb3de9358bf965df90c44a6
Author: Eduard Pintilie <eduard.pintilie@gmail.com>
Date:   Mon May 20 11:46:44 2019 +0200

    l10n: Romanian update
    
    72% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 1038d3e096a1331cbb47d556c8a3d0599cd0372a
Author: Rui <xymarior@yandex.com>
Date:   Wed May 15 14:27:18 2019 +0200

    l10n: Portuguese (Portugal) update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 85b730b94d220aa9ce97ab12d6ab0c584ee1843a
Author: Thomas De Rocker <thomasderocker@outlook.com>
Date:   Mon May 20 15:52:48 2019 +0200

    l10n: Dutch update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 3c8abd83fc67225ef1d4c9351c95d06f2ec5ebf4
Author: VideoLAN <videolan@videolan.org>
Date:   Tue May 21 19:17:56 2019 +0200

    l10n: Norwegian Bokmål (Norway) update
    
    94% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit b29d7f2ef4c668c523a6f03b5c3dfa952594a373
Author: VideoLAN <videolan@videolan.org>
Date:   Sun May 19 18:12:18 2019 +0200

    l10n: Marathi update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 772c04817efbccbe6f1549590a95d2c05475115a
Author: Ingmārs Dīriņš <melhiors14@gmail.com>
Date:   Mon May 6 12:53:57 2019 +0200

    l10n: Latvian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 53070ba664cec82010eae0198ecc43bc879a57de
Author: VideoLAN <videolan@videolan.org>
Date:   Sun May 19 18:00:57 2019 +0200

    l10n: Kashmiri (India) update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit e8ed6b1916248d3be6db56ae728a0372229a27bd
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Korean update
    
    99% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit fd743680ededaab86edde81014c0da5f33862db1
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Thu Dec 20 16:17:02 2018 +0100

    l10n: Japanese update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 54c5aaf8cdea19885085db696a43a3d7b181d286
Author: Vincenzo Reale <smart2128@baslug.org>
Date:   Tue May 21 06:17:59 2019 +0200

    l10n: Italian update
    
    99% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit aa923ebd2e04e1ccf491f57cf2a01df5357ffc53
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Wed May 15 10:11:14 2019 +0200

    l10n: Icelandic update
    
    70% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 3019a477de6a4ad979b6abef84be2578425fb27f
Author: antiparvos <marcoslansgarza@gmail.com>
Date:   Mon May 20 03:01:56 2019 +0200

    l10n: Galician update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit fd136bdce3f7cd65a9b0ab8c61b911386c8df525
Author: VideoLAN <videolan@videolan.org>
Date:   Mon May 20 17:49:40 2019 +0200

    l10n: French update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 1bb2839cf7a4b791955bb9b0aea49c6f7da6827b
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Persian update
    
    28% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 7c2399503bec7ba62633a80d8d2cc07c96500064
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Tue May 21 05:06:39 2019 +0200

    l10n: Estonian update
    
    78% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit cfada8ec1a597c57f6e5fcc92f7af0b88ae8d169
Author: VideoLAN <videolan@videolan.org>
Date:   Mon May 20 08:23:56 2019 +0200

    l10n: Spanish (Mexico) update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit bb2954dfe2fbe224fb7a01758f3eae6d6b8f6e77
Author: picodotdev <pico.dev@gmail.com>
Date:   Tue May 21 07:33:55 2019 +0200

    l10n: Spanish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit dc845a7c2b378a9c4c20c528df1370c5dfcc67ee
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Sun May 19 17:06:48 2019 +0200

    l10n: German update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>

commit 76456fe7f40df95500ac3e76df70bf2f702574fe
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon May 20 21:21:50 2019 +0200

    Update NEWS for macOS

commit 643cedc4bc06603e839d7ee38c41cab4ef9c35f6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu May 16 16:14:49 2019 +0200

    demux: adaptive: fix potential use after free on oom
    
    (cherry picked from commit 5d7bc4dbcb27cc74beb43c8eb0a2cf6369cdc4d7)

commit 3946d69adb542d51214a901750f2ace43e51b829
Author: Hyeon-Ju Lee <zorurione@gmail.com>
Date:   Mon May 13 07:21:38 2019 +0900

    demux: mp4: fix can't recognize clcp media type's closed caption
    
    in TrackCreateES() don't compare case of i_handler is ATOM_clcp
    It makes can't create track for clcp media type
    print this debug messages and vlc player can't recognize closed caption
    
    debug messages:
        mp4 demux debug: track[Id 0x4] read 32 samples length:80s
        mp4 demux error: cannot create es for track[Id 0x4]
        mp4 demux debug: ignoring track[Id 0x4]
    
    I tested by using this sample videos:
        https://sampleplatform.ccextractor.org/sample/download/45
        https://sampleplatform.ccextractor.org/sample/download/130
    
    reference:
        https://developer.apple.com/library/archive/documentation/QuickTime/QTFF/QTFFChap3/qtff3.html#//apple_ref/doc/uid/TP40000939-CH205-SW87
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>
    (cherry picked from commit d77998a74ba1f9bbf2def0260dcb81e4f9f9498f)

commit 6a8889ec40d05e12e1d49171d63ed62bdfb0e2bb
Author: Luca Barbato <lu_zero@gentoo.org>
Date:   Sat May 18 16:41:32 2019 +0200

    upnp: implement getPreferedAdapter for macOS
    
    Signed-off-by: Felix Paul Kühne <felix@feepk.net>
    (cherry picked from commit d041a6cd3c7c7d29c8b36aeeab528d417738b532)

commit a8539f7e41e9086ff6a1a15c323044ef18031d9e
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat May 18 12:51:16 2019 +0200

    macosx vout: Always call glViewport on macOS 10.14
    
    macOS 10.14 can unexpectedly change the viewport, e.g. when opening
    some main menus. This also improves AR when compiled with the 10.14
    SDK, here the AR was always broken until now.
    
    fixes #22209

commit 324a2184980624a10fb44795077e5a40da1c6eeb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue May 14 21:46:00 2019 +0200

    demux: hls: reject playlist without type
    
    (cherry picked from commit 758381ef65332decbec73256a79159eba94b9e3c)

commit 654fc7ccd20c259588853957519407769ba32c75
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed May 15 09:55:23 2019 +0200

    Contribs: update dav1d to 0.3.1
    
    (cherry picked from commit 51870f234392175c299dfb746d5f4c32ede5b600)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ab30e09b42dbee6d5f034811068045f13ae8097c
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Jun 15 15:34:37 2018 +0300

    Qt: Add a missing include of QHeaderView
    
    In older Qt versions, this header was implicitly included by
    headers generated by uic, but it no longer is included implicitly.
    Explicitly include the headers we are relying.
    
    (cherry picked from commit f3a801cc0ec9e9ede833820ce732a6ab6f43d1dd)

commit 774a96ae649ff66e4842c43c5a047b118dc411e4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu May 9 10:38:01 2019 +0200

    decklink: fix compilation with SDK 11.1 (fix #22276)
    
    provided deprecated api entries just does not work
    
    (cherry picked from commit 10d6549f4eb577670cf657768bb0ad82ef6c69c1)

commit 6cca8f7a9e3e884b7d12a22a55dd9b309bff8e53
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 9 16:38:36 2019 +0200

    es_out: mention that SMPTE ST2084 transfer is PQ
    
    aka Perceptual Quantizer
    
    (cherry picked from commit 2066dde9383bdb79fd2e92dbe1221302a06a8f05)

commit 36ceeddee2000648dd8f3187524b502ac2244da7
Author: Ewout ter Hoeven <EwoutterHoeven@live.nl>
Date:   Tue Apr 30 12:45:38 2019 +0200

    contrib: dav1d: Update to dav1d 0.3.0
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>
    (cherry picked from commit 7da2627dece61ce8ba0ce1a0d7de82a09523adf9)

commit 82ad5d109cd9627cb2a5eaa8d6da457d752a9960
Author: Sreejith <sreejithpro@gmail.com>
Date:   Fri May 3 03:16:14 2019 +0200

    l10n: Malayalam update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b57c9e6f612833fc0fe50639996a0002cf493b5e
Author: Предраг Љубеновић <predragljubenovic@gmail.com>
Date:   Thu May 2 10:59:56 2019 +0200

    l10n: Serbian NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 4fdd9f792986c3157fbcc9dc00739fb5e2b04026
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Wed May 1 17:48:09 2019 +0200

    l10n: Turkish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 820b9351d5a7b1275198644099553c3a019c8952
Author: Anton Regnander <anton_r_3@hotmail.com>
Date:   Mon Apr 29 11:36:47 2019 +0200

    l10n: Swedish update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 1752c4a268889c593f8001317ae18bd05006a098
Author: Предраг Љубеновић <predragljubenovic@gmail.com>
Date:   Thu May 2 11:30:06 2019 +0200

    l10n: Serbian update
    
    50% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 540d99095df37202c4a45ffc67f0241d7371ec8f
Author: Eduard Pintilie <eduard.pintilie@gmail.com>
Date:   Tue Feb 19 14:08:02 2019 +0100

    l10n: Romanian update
    
    72% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 8f40ae5c8558b06d4e7eff2a931884f6d0528bb9
Author: Rui <xymarior@yandex.com>
Date:   Tue Apr 30 17:20:22 2019 +0200

    l10n: Portuguese (Portugal) update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e9c745305c58c7dcc2fa3058a3257eeb38495d91
Author: Sidney Doria <ssdoria@gmail.com>
Date:   Tue Feb 26 16:27:28 2019 +0100

    l10n: Portuguese (Brazil) update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 63badf05bef2f1038dbe7109bb5474e233b38e67
Author: Thomas De Rocker <thomasderocker@outlook.com>
Date:   Tue Apr 30 07:59:22 2019 +0200

    l10n: Dutch update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 3d734ce5952352fd00f309018724181da5db5ab3
Author: Ingmārs Dīriņš <melhiors14@gmail.com>
Date:   Thu May 2 05:18:10 2019 +0200

    l10n: Latvian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 95fc24c857803d0ea754cffcf420f1f873a167dd
Author: Tadeáš Valenta <tadashicz@gmail.com>
Date:   Thu May 2 15:38:29 2019 +0200

    l10n: Czech update
    
    62% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 49085d497605a674805dd8390a75b8cc4175ed6f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri May 3 11:15:54 2019 +0200

    mux: mp4: set visible dimensions in stsd instead of buffer
    
    (cherry picked from commit 25828389824907fe55e4f124b08516a58b3e3ce8)

commit e3d83479c60d6b6c9574e9d0277b80bbba801646
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri May 3 11:14:26 2019 +0200

    mux: mp4: refactor and fix tkhd visible values
    
    (cherry picked from commit 33ad85ac64195b98c38123a3e18e702799bc1b2c)

commit 8724157c7b0425d09d72d2d63da8901f4a1c4a35
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu May 2 18:42:15 2019 +0200

    package: macosx: Fix make distcheck

commit c4e2eb688165b99fcd1267b14759af88295d4648
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu May 2 17:17:27 2019 +0200

    demux: ts: fix broken var reading
    
    (cherry picked from commit d8871b684cd8db6773f4845c12c85fb0a6b51886)

commit 114f7917340a8e0291085dcb6ac1ac0aefe238cb
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed May 1 22:55:58 2019 +0200

    macosx: Rename VLC.xcodeproj to lower case vlc.xcodeproj
    
    This will help selecting different projects in different git
    checkouts, vlc.git and vlc-2.0.git already use lower case
    project names.
    (For same project names, the distinct folder name is suffixed
    in the recent items menu.)

commit dade7d84b65ea85196bd4a65de62726e65be7bdf
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Fri Apr 19 13:04:32 2019 +0200

    macosx: use https instead of http for links opened from within the application
    
    (cherry picked from commit 9da6cedb6e69b77b617515f9bdcae6967bd825cf)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 949012ba53829bf5dd545e45607c6ea6aceefb6e
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Feb 17 21:36:09 2019 +0100

    macosx Info.plist: Update update URL
    
    (cherry picked from commit 6fc3c589e17f3750e5754095ce228ea4b78372ca)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 1585b2909777901080875c4422ae1c0eec6d5b1b
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Feb 17 21:35:31 2019 +0100

    macosx: Clean up potentially old update URL
    
    (cherry picked from commit 9259e320099bafe5da2a6d45be5b02e269dce313)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit b2d4ca80ed889ed12fded0f2c6521fd45aef1b2d
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Sun Apr 28 15:58:20 2019 +0200

    l10n: vlc.desktop update
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit cbd4e6f189296b2f337263e8abbbd5f6e5d9370a
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Wed Apr 24 07:41:46 2019 +0200

    l10n: Hebrew update
    
    58% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0d221f786e61fe9a05e9426bdcbe11b73ca07946
Author: Rui <xymarior@yandex.com>
Date:   Sun Apr 14 23:31:34 2019 +0200

    l10n: Portuguese (Portugal) update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e9e700bcb3cd615c234b20ef033423c41d338b29
Author: A S Alam <alam.yellow@gmail.com>
Date:   Fri Apr 19 02:21:09 2019 +0200

    l10n: Punjabi update
    
    55% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 70117498b5f04be95da40d966c7486b0b8ef8901
Author: Ingmārs Dīriņš <melhiors14@gmail.com>
Date:   Tue Apr 16 11:43:04 2019 +0200

    l10n: Latvian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 04b4c3160452fe74ffeb6b58c608af7145d17817
Author: picodotdev <pico.dev@gmail.com>
Date:   Thu Apr 18 18:06:12 2019 +0200

    l10n: Spanish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 06fab084cab29248305927c2f34c124504b29e56
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Apr 26 12:42:01 2019 +0200

    demux: mp4: add sample overread check for non seekable case
    
    refs broken #22228
    
    (cherry picked from commit 49db2cce11739f9b23347ba67721a7eff467dfc6)

commit 040d2fb36da6db2c1a01c97448dd4867c922c9da
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Apr 26 11:15:32 2019 +0200

    demux: mp4: probe fragments on missing duration
    
    (cherry picked from commit 90236624baa289c744bae5bba3a913a1a1d0bd8f)

commit ba725460f67f20dfaa26b3ae84b6c5fb37d64c62
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Apr 26 09:57:04 2019 +0200

    demux: mp4: ignore indirect index references for seek
    
    (cherry picked from commit 4c43606d400c3e23f76b63ea40a2853bb1cbfc06)

commit 697fd6c42b6605ac293682c8a555474086f92db4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Apr 26 09:56:40 2019 +0200

    demux: mp4: pack sidx items
    
    (cherry picked from commit 9c2672fa45d30e0ad8f7b11667726456362d103d)

commit 851ce5134bb26424ce67a583ddd58f24fc5c5ac7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Apr 24 16:39:38 2019 +0200

    demux: hls: disable webvtt
    
    that really can't work due to empty segments
    and be fixed without big changes
    
    (cherry picked from commit c04391dc232d171c2eb4b528351046f2ea4424b1)

commit 7a0a9bd6298d2d0754ad89f9af23e4b1ac6ce87d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Apr 23 15:50:05 2019 +0200

    demux: adaptive: sanitize user-agent (fix #20813)
    
    pretty useless since we can no longer change it...
    
    (cherry picked from commit aa98792614777b86b052c2ec03deac57ca3da1e9)

commit 2f2374cc25d6a99ff052d31a7c938f4d554b5afe
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Apr 18 15:48:08 2019 +0200

    demux: adaptive: unexpose internal callback method
    
    (cherry picked from commit f114d08a13beea26ea9f95b1ff1486e99979acb3)

commit 4a5791a0093c763dff613c77d09fe1d0d5b9100d
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Apr 16 13:22:57 2019 +0200

    avcodec: update the output format when the decoder requests one
    
    We may reuse the decoder because the decoder size matches but we still need to
    send other changes (like SAR) upstream otherwise we may never notice.
    
    If the vout update fails we don't reuse the decoder and try to use a new one.
    
    Fixes #21329

commit 159b7b9b4787fb56e00fdaafb431ef7e1fcb4b73
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 13 18:31:01 2019 +0200

    l10n: Kurdish (Iraq) update
    
    17% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 8fa314e804d7c7a0daee3c8b654ee21180c1b4c6
Author: Ingmārs Dīriņš <melhiors14@gmail.com>
Date:   Tue Apr 9 15:59:41 2019 +0200

    l10n: Latvian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit acb109d2de4da9e125acc90bd5b5df9e6f2a8717
Author: Rui <xymarior@yandex.com>
Date:   Thu Apr 4 18:03:14 2019 +0200

    l10n: Portuguese (Portugal) update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 7b737ad51c8edc0928f7be759dd1f774fa7a04bd
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Sun Apr 7 12:53:31 2019 +0200

    l10n LINGUAS: add tt
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 4b7656b49e4dd6e03f7fec2ab31d1869005b0647
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Apr 6 17:39:33 2019 +0200

    Contribs: update libbluray to 1.1.1
    
    (cherry picked from commit a0c8979e97ebfbf68707081cbe6a3b73f01f3e53)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3a74598585f55d7879f2695d2a1f2582d89251fe
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Mon Feb 25 21:01:29 2019 +0300

    contrib: update libbluray to 1.1.0
    
    (cherry picked from commit e9d74cb75dcad5b0e40984e95bccf741c60bff47)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5fc4822aceabd4439d8743a8b788687670c38455
Author: Fabrice Bellet <fabrice@bellet.info>
Date:   Mon Mar 4 10:54:45 2019 +0100

    hw: vaapi: fix caps type of vaQueryVideoProcFilterCaps
    
    Fixes #22053
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit db9131787a3cc3cada9cb855e1a201f33c14703c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 020f737987ab1731503737df5ab3a2a5d8b75d98
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Sat Mar 30 22:10:46 2019 +0100

    package.mak: alphabetical order and add missing langs from NSIS\languages
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 44727e29c75190de75ef535eea1fc366bfac2632
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Sat Mar 30 22:03:38 2019 +0100

    l10n LINGUAS: add am_ET, ca@valencia, es_MX, kab
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 82941fec7b6453cdcc6ce9a7799f1fe9be2eab49
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Mon Mar 25 20:56:50 2019 +0100

    l10n: vlc.desktop update
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 94193202486bb1710aa9ee95f1e6f25aeea3fd2a
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:45 2019 +0100

    l10n: activate Breton, NorwegianNynorsk and ScotsGaelic (fixed)
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 5816da6417ea942f78822659f83dcb9c34736287
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:26 2019 +0100

    l10n: remove unmaintained and unsupported NSIS langs
    
    - Bengali (unmaintained and unsupported)
    - EnglishUK (appeared in other installers as EnglishGB but currently unsupported)
    - Khmer (file broken)
    - Occitan (unmaintained and unsupported)
    - Punjabi (unmaintained and unsupported)
    - Sinhala (unmaintained and unsupported)
    - Sorani (only Kurdish is supported but currently unmaintained)
    - WesternFrisian (unmaintained and unsupported)
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 45f0443c34e136323bdffae4f7a5a64ad8ed1ed5
Author: Bjørn I <bjorn.svindseth@online.no>
Date:   Tue Aug 7 09:10:13 2018 +0200

    (new file) l10n: Norwegian Nynorsk NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f99ab83e6a78c6c3663d284f0f8d67c986723230
Author: Rok Žerdin <zerdin.rok1@gmail.com>
Date:   Tue Dec 4 09:19:03 2018 +0100

    l10n: Slovenian NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 384ed289416de26e5f7f5bbee3085cdd438009eb
Author: eduard pintilie <eduard.pintilie@gmail.com>
Date:   Fri Feb 8 18:47:06 2019 +0100

    l10n: Romanian NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0f449dab90648ecd4b7bea53355db9bb34e36d89
Author: Manuela Silva <manuela.silva@sky.com>
Date:   Tue Sep 4 17:02:45 2018 +0200

    l10n: Portuguese (Portugal) NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 4dad773978c94543dcddffda526ef3c185e44046
Author: ssdoria <ssdoria@gmail.com>
Date:   Mon Feb 11 22:09:13 2019 +0100

    l10n: Portuguese (Brazil) NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f074a5e4b4d89b2a57ab41ccda92fa253dbffa78
Author: VideoLAN <videolan@videolan.org>
Date:   Fri Nov 2 11:45:06 2018 +0100

    l10n: Norwegian Bokmål (Norway) NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d1bd16b5da893973663ad2a24c6e803f62f733a3
Author: abuyop <abuyop@gmail.com>
Date:   Thu Jan 24 02:49:33 2019 +0100

    l10n: Malay NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e1a3cb43d9469ad37ae2b65013e0e352682c6c24
Author: Ingmārs Dīriņš <melhiors14@gmail.com>
Date:   Sat Sep 15 13:40:17 2018 +0200

    l10n: Latvian NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 8707d4fe06ec46ee830535a1696b3b34ac2b3d38
Author: Luqman Hakim <ovdl@rocketmail.com>
Date:   Tue Dec 4 19:02:22 2018 +0100

    l10n: Indonesian NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e282c10131acb5a2fa84e935592278748b665a55
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Sep 27 22:26:18 2018 +0200

    l10n: Danish NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 3be0afccb3b4f3102d14e409af369b57e64984f4
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Aug 4 04:44:53 2018 +0200

    l10n: Arabic NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c1bec8a1457ea5456d13cbf28968c05c419a202c
Author: Ardit Dani <ardit.dani@gmail.com>
Date:   Fri Mar 15 11:06:21 2019 +0100

    l10n: Albanian NSIS update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f45d13df8eac70bac433e30c1734c6d0898cc2d8
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Fri Mar 29 16:10:10 2019 +0100

    l10n: LINGUAS: Add ku_IQ
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 599ed479681d5a003d4f5d7435fedffa8989c8bc
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:26 2019 +0100

    l10n: remove ckb.po -> same as ku_IQ.po
    
    17% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 8de45c4a41b876e662e15ea4987545b65622ad04
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:26 2019 +0100

    l10n: remove Urdu
    
    0% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c0000894b57839a011c3fd51ede46b61b38b7ce7
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:26 2019 +0100

    l10n: remove Tagalog
    
    0% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit a81c504f9450840a1b1eb362ef256892b901cd20
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:26 2019 +0100

    l10n: remove Tetum
    
    0% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e66908955f946488f136be17a6153b8a9a11fa59
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:26 2019 +0100

    l10n: remove Silesian
    
    1% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 1c39a239ebb8a5e9a761a01cbccb6f58d2070187
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:26 2019 +0100

    l10n: remove Samoan
    
    4% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b7f9da60652a4c1f32d758c55845a2760605ce84
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:26 2019 +0100

    l10n: remove Pampanga
    
    0% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b991cfc35f3ddd63d62e8370a4fe7a7c44c10f8d
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:26 2019 +0100

    l10n: remove Oriya
    
    5% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c06157e31e54e75d5d5cc0079a12a59ef09bd0ff
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:26 2019 +0100

    l10n: remove N'ko
    
    0% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e34ef23e9063c65d464e1d59b1f1e230d01d422a
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:26 2019 +0100

    l10n: remove Burmese
    
    3% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 6818ebbf098d953e18955c52196e867899a5b470
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:26 2019 +0100

    l10n: remove Macedonian
    
    2% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 520d2bc607b43e6346b447bf38a6daef0b88b731
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:26 2019 +0100

    l10n: remove Kurmanji
    
    6% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 23cef40b374d960c5d0f8bd9e5167a7a6ba5588d
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:26 2019 +0100

    l10n: remove Interlingua
    
    3% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d6a57ef4eb32b71aecbae7a66409c164bffe1b25
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 21:04:26 2019 +0100

    l10n: remove Azerbaijani
    
    2% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 90860023d5ba36f308c088dc2ec2aabf08710b5a
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Zulu update
    
    14% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 03b94db145421a2d6a22c105dc260a3048176003
Author: Hsiu-Ming Chang <cges30901@gmail.com>
Date:   Sat Mar 23 15:45:28 2019 +0100

    l10n: Chinese (Taiwan) update
    
    65% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e1b0b8ffca2dfdafbb64d0022e4fa601fc1cd11a
Author: Dian Li <xslidian@gmail.com>
Date:   Thu Dec 27 16:54:23 2018 +0100

    l10n: Chinese (China) update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 42f3f04082a5249c592fb1f21ef50a5c20535c15
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Walloon update
    
    56% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 6546e6663b914fe13123492532f7db588b69e430
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Vietnamese update
    
    72% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 996389823165b46d7ac42696454a39542844ad58
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Uzbek update
    
    14% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 262c2699cdff49e53f226edbf44fc17eaafc66f6
Author: Андрій Бандура <andriykopanytsia@gmail.com>
Date:   Thu Dec 20 06:22:19 2018 +0100

    l10n: Ukrainian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit daedfed24ea3e6522552558762c2397dec5ca346
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Uighur update
    
    14% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 5aacbb34488e85b90fb61ed8c1461a49cddada79
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Tatar update
    
    14% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 9b88a03b3dff4e8988b235536272b5bd03b62531
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Thu Dec 20 09:32:31 2018 +0100

    l10n: Turkish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 4cff0d89abecd1b061c6f9c92cd77e20ae46e615
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Thai update
    
    57% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit cdbff4fe184160192f1386d1b99ad76367b5f613
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Telugu update
    
    28% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 726d97f62bc14b5fee8d61247b381c72ff28e467
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Tamil update
    
    28% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e0b0a3bbdb429096e1d24fb55161994f55295159
Author: Anton Regnander <anton_r_3@hotmail.com>
Date:   Wed Mar 13 11:22:35 2019 +0100

    l10n: Swedish update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 872d9daea0a8ed409913ebbdc94f51b068c12cc2
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Serbian update
    
    50% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0269a44c809ebeb477d626491d3304c693de161f
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Albanian update
    
    15% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 65d9031ccb6cd661ce0a78ac1aeb5d3c24209b85
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Dec 24 18:15:50 2018 +0100

    l10n: Slovenian update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 5f39eaeba2217252b8a89195c794ec3ab6c34ed2
Author: Marián Hikaník <podnety@mojepreklady.net>
Date:   Thu Dec 20 10:24:33 2018 +0100

    l10n: Slovak update
    
    99% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 3c5d1034bc90c0ec811913fe8a113ae0814a7c2f
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Sinhala update
    
    42% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 19711c457263fb1beda46bed27d78cebd67fa1ca
Author: Alexander Lakhin <exclusion@gmail.com>
Date:   Mon Mar 4 04:07:59 2019 +0100

    l10n: Russian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b3ed59bceb81b0fec6302b1996a2baa690e1bd9d
Author: eduard pintilie <eduard.pintilie@gmail.com>
Date:   Tue Feb 19 14:08:02 2019 +0100

    l10n: Romanian update
    
    72% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 00cafc207d9b38208d8c4e0d6670c12d89126fbf
Author: Rui <xymarior@yandex.com>
Date:   Sat Mar 23 19:39:48 2019 +0100

    l10n: Portuguese (Portugal) update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 1a977b0c903d073011aa5789af7f19311d5032c5
Author: ssdoria <ssdoria@gmail.com>
Date:   Tue Feb 26 16:27:28 2019 +0100

    l10n: Portuguese (Brazil) update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 86cba791cabc159745a614bb964f489aee83884b
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Pashto update
    
    11% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 42dd61155bc6912bb6eb0d361622208706d1874a
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Jan 15 19:09:08 2019 +0100

    l10n: Polish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 06dba94e0e8ea9315bf7b8c48a9229066d8c03a1
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Punjabi update
    
    55% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2f712538cbe49cebe2188902269ae58045e14a42
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Occitan update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 59aa26ce0e865aa4c92f72ec7af18ecc870cac91
Author: Bjørn I <bjorn.svindseth@online.no>
Date:   Sun Feb 3 17:10:16 2019 +0100

    l10n: Norwegian Nynorsk update
    
    56% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 00782f7924f28af61147755ca998a238529fc1f8
Author: Thomas De Rocker <thomasderocker@outlook.com>
Date:   Wed Mar 13 12:59:22 2019 +0100

    l10n: Dutch update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0d779bd1624ae28e03e783d326247816040b9825
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Nepali (Nepal) update
    
    41% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit abb16b4befe9341fa6a97bb67f1d9283f36099a9
Author: Alexander Mackinnon Jansen <bornxlo@gmail.com>
Date:   Wed Mar 20 16:27:04 2019 +0100

    l10n: Norwegian Bokmål (Norway) update
    
    94% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 43c496f64bf2ddb6fec112ea274a99a9729aa3f0
Author: abuyop <abuyop@gmail.com>
Date:   Sat Jan 26 16:03:07 2019 +0100

    l10n: Malay update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b18a764d0267dfbe883c379ecbcfa1e67b53f50a
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Marathi update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c7288a26f33eac1763fabf67e3677a0a59d91599
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Mongolian (Mongolia) update
    
    21% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 4e89e6506f15f70854447bd79da7b6095b206658
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Malayalam update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 7bbe6bb95c57f4429be15b5eb7b226c0dcc0ecb2
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Maithili update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2fad310dc4971b648fdcdf52bb56962d58e75a78
Author: Ingmārs Dīriņš <melhiors14@gmail.com>
Date:   Thu Dec 20 08:34:37 2018 +0100

    l10n: Latvian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 92e3b8b3cef1b426f2de8a66c2ce0f9bb3898aec
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Lithuanian update
    
    62% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c7da0c6c2601c76ff842b56ac8095f63ab8262c9
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:17 2018 +0100

    l10n: Ganda update
    
    13% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2fe9fb62ba31593fc6589fef9ec78a6adf3047d3
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Kirghiz update
    
    12% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ed55f9b1712433166e9908380d8c07db4c472256
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Kurdish (Iraq) update
    
    17% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 081e7fae33c6043e03740bdad959228a6c5a37df
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Kashmiri (India) update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 22e9ec26ab0b0b2b794233822dbd3f23c228f9e2
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Korean update
    
    99% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 5fd2d205d00520e9d99992b1557d81a62bbdbb6d
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Kannada update
    
    86% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 31c0951ce89874e9a54e7add22744d0665afe42c
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Khmer update
    
    85% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 5f93458da627d558cc102bf5cd7d0d42d26958d1
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Kazakh update
    
    41% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 96f659324bfbc89904367b595e1a8225192ba7f9
Author: Yacine Bouklif <yacine2953-asuqqel@yahoo.fr>
Date:   Tue Jan 1 16:45:25 2019 +0100

    l10n: Kabyle update
    
    85% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 3e40afe2af5da8f2345cc42c8973342834ce67ad
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Georgian update
    
    12% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit efebcfecc201b01c535cd68502ddb2e9e550eadb
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Thu Dec 20 16:17:02 2018 +0100

    l10n: Japanese update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2913fe2424c572d467ba0d1aa6b42151669d96a3
Author: Vincenzo Reale <smart2128@baslug.org>
Date:   Thu Dec 20 06:38:02 2018 +0100

    l10n: Italian update
    
    99% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2dd6ce4ecc6635fd6000fe10b3ebb1c7ed73e704
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Fri Jan 11 11:44:28 2019 +0100

    l10n: Icelandic update
    
    70% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 1aafbd99064e15c1d73c2c6567fda33414b01905
Author: Luqman Hakim <ovdl@rocketmail.com>
Date:   Mon Mar 18 21:13:13 2019 +0100

    l10n: Indonesian update
    
    78% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c744f66b9f4af2de3d7f1e31fac4638f4f5eb8ee
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Armenian update
    
    29% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 7a53cfee11d1f8be49065e5b1cce65af1df307f7
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Thu Dec 20 18:26:56 2018 +0100

    l10n: Hungarian update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2684797f24a499d9c132a85f74f89bb5220c6a63
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Croatian update
    
    81% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit a2090dfca2c75daa0d7e2b216d2f725d9798eebc
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Hindi update
    
    17% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c7c04325250088f81ce88e37c212ee8848598e32
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sun Feb 10 15:25:56 2019 +0100

    l10n: Hebrew update
    
    57% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f9c87ecbc854effc68f3bdf28aed5277697a6c7d
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Gujarati (India) update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit febf94949ff2b2143540234d90c2c87ad7ddba3a
Author: antiparvos <marcoslansgarza@gmail.com>
Date:   Mon Jan 28 18:52:54 2019 +0100

    l10n: Galician update
    
    98% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 285629ae177d2a25af93f43cdb215d9f07dc4356
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Scottish Gaelic update
    
    39% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ed45fd7949dc2eec6158c70428f0597b1aed602c
Author: Seán Ó Séaghdha <sean.anseo@gmail.com>
Date:   Sun Feb 24 13:36:25 2019 +0100

    l10n: Irish update
    
    43% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 68fd7efc2cf160b4c9dc75cce1806e0352aa67df
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Western Frisian update
    
    90% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b62a0db6a8a88b078dbfb73af4c3fd5db863cfa6
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Friulian update
    
    10% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d1aea834afe5c37a95b7b393948023ee81194cba
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Mar 17 09:22:52 2019 +0100

    l10n: French update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 9e3a453e0c04ad4b4e055d9071d00b6115a0888f
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Finnish update
    
    84% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 78fdd6c9ed6953821e815a9b3927586f53983a2a
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:17 2018 +0100

    l10n: Fulah update
    
    19% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c14306c412a2f8e9668be44ddf5b734fa1d87806
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Persian update
    
    28% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 1921b785eddd697c4ecb0aad9dc46f9311a3c44c
Author: Txopi <txopi@ikusimakusi.eus>
Date:   Sat Feb 9 20:01:48 2019 +0100

    l10n: Basque update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit cd6aa00266217b90950710950a97af92ffe2c772
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: Estonian update
    
    78% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 372a46cb6d7217c42484350eec18df27e54c373b
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Spanish (Mexico) update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 3dc61a93c186b693fdf44ef166ae2e4bf68867e3
Author: picodotdev <pico.dev@gmail.com>
Date:   Tue Jan 8 22:07:30 2019 +0100

    l10n: Spanish update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 9cfb3f53973e1f9b7c2cfa1bacc9df69cc49b06c
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:15 2018 +0100

    l10n: English (United Kingdom) update
    
    8% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2ceb3eb074571900c9b5c64bb46035f3bd0ebe7d
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:14 2018 +0100

    l10n: Greek update
    
    90% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 348d403fdf9bc64757d7810fc20c0c30058574a7
Author: Michał Trzebiatowski <michtrz@gmail.com>
Date:   Tue Mar 26 15:16:43 2019 +0100

    l10n: German update
    
    100% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 5ab003d7e90d3ef62620d338b1c6a76852dfa7be
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:14 2018 +0100

    l10n: Danish update
    
    93% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 788974568519ecb38edc0618d1cd797b3eb4f33d
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:14 2018 +0100

    l10n: Welsh update
    
    58% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 7b6bdb04fa46a7f02abec412d0ec6399a16bb643
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:14 2018 +0100

    l10n: Czech update
    
    62% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 34128d9196cc2e51843e85cb9bfb3cf4bd7fa37b
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:17 2018 +0100

    l10n: Corsican update
    
    41% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2b0ef15c1145ff8362d865b90f781be510a472ca
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:17 2018 +0100

    l10n: Chiga update
    
    9% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 4294807d737a31937161e24de16a512b3cb7eb70
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Catalan (Valencian) update
    
    85% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d759b2e9cd8987438b779e0b0ccd80bbd95639cb
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:14 2018 +0100

    l10n: Catalan update
    
    87% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 81b26cdaa8fee29873ea6d74d6468e41a8c0b5fb
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:14 2018 +0100

    l10n: Bosnian update
    
    38% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 977004537ea10c79d11be5322e892c83f3501b06
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:17 2018 +0100

    l10n: Bodo update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 12f425f1fdcf80289bf5bbd08479899bb7748727
Author: Gwenn M <tornoz@laposte.net>
Date:   Sun Mar 10 12:00:27 2019 +0100

    l10n: Breton update
    
    31% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 3f6d1a4c9fcae1919866d7a2b45528e648dc93b6
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:14 2018 +0100

    l10n: Bengali (India) update
    
    74% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e1ee939fb89443c1aafc54737cb91228a97bb117
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Bengali (Bangladesh) update
    
    63% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 1f35542c4ea4f0f418125306316418030728d8be
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:14 2018 +0100

    l10n: Bulgarian update
    
    67% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0409478ee1ab944a146b5a8b45adace4dca3b38d
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:14 2018 +0100

    l10n: Belarusian update
    
    85% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e231e808dbe6c8b6cc311c6164d7d4d0cbc8cf16
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Asturian update
    
    71% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d057aec12b215b1668bbda753279ff3bff4906c5
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Assamese (India) update
    
    88% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 40439336531e98c7c1d992b32efc5924cf509cbb
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:14 2018 +0100

    l10n: Arabic update
    
    56% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 749b6b0661bc6a521976dd2d850c195feb078b79
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Aragonese update
    
    70% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 6e16c1e2da4cbc863e20791fbfcb6313e7a2d5bb
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:16 2018 +0100

    l10n: Amharic (Ethiopia) update
    
    22% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 96368de3d2e32910d8806d7469be5aedbb5d9735
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:14 2018 +0100

    l10n: Amharic update
    
    14% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 79188fe052f78045a8e885d362fae453c3dce540
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:14 2018 +0100

    l10n: Afrikaans update
    
    26% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 582810c8d22eb0c5a7ed4eb50046cfc09cb5930a
Author: VideoLAN <videolan@videolan.org>
Date:   Wed Dec 19 22:50:17 2018 +0100

    l10n: Acoli update
    
    14% translated
    
    Signed-off-by: Michał Trzebiatowski <michtrz@gmail.com>
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 283effb2904ca11e3b01cca75f31cbef4fadfe80
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Mar 29 04:25:56 2019 +0100

    vimeo.lua: parse fully-parametered API URL from web page
    
    Full parameters are required for compatibility with some videos. We
    still keep the hard-coded pattern as fallback.
    
    (cherry picked from commit f540af2f722921e689ba0ff57f7d392d94940d50)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 6754041b56aafa12c3645e2cc46394728aa8f8e4
Author: Will Newton <will.newton@gmail.com>
Date:   Tue Mar 19 22:59:34 2019 +0000

    modules/access/live555.cpp: Fix crash parsing H264 config
    
    The buffer allocated for parsing the H264 config string is not
    sufficient, causing a possible heap overflow. Size the buffer
    more accurately to prevent this happening.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 6dee6325ec2cb5d01c9a5247d443109b6aaaeb8c)

commit 4ed6726c76a3ffee34671cda50732556d8a624fa
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Mar 27 18:20:16 2019 +0200

    Revert "Made http-continuous option safe."
    
    As seen 3 years ago with libavformat concat, concatenating streams
    leads to interesting security issues such as data exfiltration.
    http-continuous is essentially concatenating multiple HTTP resources.
    
    This makes the concatenation-controlling option unsafe as is already
    done within the VLC concat module.
    
    This reverts commit b6c17b225587f750737204335f74ec00142bc758.
    
    (cherry picked from commit 29da829f6810c0746a14a2030cc712808c03ab39)

commit 264d5a9ec1bc1b2e4d9defa6be49cf7ef39a2984
Author: Simon Latapie <garf@videolan.org>
Date:   Mon Mar 25 19:42:36 2019 +0100

    access: rdp: fix URI parsing
    
    In 3.0 branch, demux_t does not contain psz_url
    
    (manually cherry-picked from cee9f5692b0a14cdaf7c32564f0b3b0a2011805c)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit bffeddebcb42c85106d509048a96750fbfb49e54
Author: Simon Latapie <garf@videolan.org>
Date:   Mon Mar 25 19:36:42 2019 +0100

    access: vnc: fix URI parsing
    
    In 3.0 branch, demux_t does not contain psz_url
    
    (manually cherry-picked from 15b9c1be6551fa7674a019c165fc219fabcd90fd)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0a447c18c0c1ff2bf011ce96ce1d886472e2c080
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Mar 26 21:47:27 2019 +0100

    soundcloud.lua: update API magic
    
    (cherry picked from commit 187c2c70bd7e82ec8e743b9b2282cf8297653864)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 12ce8cd7f6b788376621384329aabf39b374c9eb
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Mar 20 19:21:47 2019 +0100

    extras/tools: Require at least nasm 2.13.02
    
    This is needed at least for the latest dav1d release to build.
    
    (cherry picked from commit 38af7b8ee5ef9720b1eaad24ce3477b73ff0ef03)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit db381f6edeac9d70b7545a72bc2840f42266d655
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Mar 20 05:20:30 2019 +0200

    sftp: fix version for ECDSA known hosts (fixes #22060)
    
    1.8.x is a stable branch, separate from the feature branch that contains
    the ECDSA support.
    
    (cherry picked from commit 11449b5cd8b415768e010d9b7c1d6ba3cea21f82)
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>

commit 828e0ce573758ce617377a99431a2ea8821742e1
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 19 10:17:51 2018 +0100

    contrib: gnutls: Don't use %n on android
    
    This patch was already upstreamed, and is not required by newer versions
    of gnutls (>=3.6.6)
    http://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=6c0f109fb98501fc8d65ea2c83501b45a80b00ab

commit 02d60916df837f6a99d42a9f41689bc5208e7bf9
Author: Ewout ter Hoeven <E.M.terHoeven@student.tudelft.nl>
Date:   Thu Mar 14 01:04:08 2019 +0100

    Contribs: update to dav1d 0.2.1
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 754e35a4582b832a979e5e7256e1716a0ce99e78)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a57d7228ef07c3ab4e2f4d42289756fc458fc56a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Mar 14 10:11:18 2019 +0100

    Revert "contrib: dav1d: backport PIC support for x86-32 asm"
    
    This reverts commit 946880409eda43a11c7fce97f532d394ed40932b.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9ee7cfa08097bab36b53491ef424d6f2ff1f9210
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Mar 11 16:02:53 2019 +0100

    directsound: fix drain
    
    Use the same drain emulation than mmdevice.h
    
    This fixes draining with directsound output + directsound stream (Windows XP +
    Vista).
    
    (cherry picked from commit 25ba4f58177382f90f31ad64eb8b584c895d5a92)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 131335c45a0c0ccd6feb7cbec094905e9d9833bb
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Dec 12 14:20:43 2018 +0100

    demux:mkv: V_MJPEG has no DTS timing
    
    Fixes playback of files created with lavf 58.12. They contain no keyframe,
    even though all frames are keyframes for MJPEG.
    
    (cherry picked from commit be913993f0d75fe32f5f7b96d0a851a8b521514a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 534833c685f7e959bb6e777f7a20413b141e2ea6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jan 23 13:12:40 2019 +0100

    demux: dash: handle infinite repeat in timeline
    
    no spec... guessing
    
    (cherry picked from commit 0d6a31dcdae08457c666172023acd7b72e128e4c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dd374778749b222b4f5960ed275de250e4a61b50
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Feb 22 12:02:23 2019 +0100

    asf: Fix memory leak
    
    (cherry picked from commit 46ba33cb8614eed4f625a65b4253839720990c0b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e538831f485f5cd70d77a1cdf8c61105037905ff
Author: Marek Beleščiak <marek.belesciak@lunar.sk>
Date:   Wed Jan 30 02:16:19 2019 +0100

    Fix crash when podcast item name is missing
    
    There is a case when a null pointer may get passed to vlc_xml_decode(),
    which causes a null pointer deference. This commit fixes that.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 3a95f933a548cbb86e690ad57e8127a64c0de1f6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f2af75bc23292c4d2ae9f0b8f1fbbcc71a984e17
Author: Quentin Chateau <quentin.chateau@gmail.com>
Date:   Fri Mar 1 23:36:00 2019 +0100

    copy: fix the cache copy size
    
    This fixes a regression from 09d421a20851e1c49aa98e117957dd118620fae4
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 051a97edb978baa7eed41f06258069c1378ea790)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9f7eea43b87874c6693d2cf33853c314438b5116
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Feb 21 17:12:37 2018 +0100

    avcodec: better fix for missing FourCC in libav
    
    (cherry picked from commit b39336e40236f83fd7928d5267da7432255642c6)
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 1d60a76d821b61bb2b550d63ee1df4c61897faef
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Feb 21 08:31:52 2018 +0100

    avcodec: fix missing FourCC in libav
    
    (cherry picked from commit ae6acfd073ad4530e786da8e31eaa7a56ae46c94)
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit c31b32988afd3e003a48f7c77b6cde6132ec8649
Author: Simon Latapie <garf@videolan.org>
Date:   Wed Feb 27 13:13:33 2019 +0100

    mkv: fix GotoAndPlay command uid conversion
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>
    (cherry picked from commit 258eec08e62020ac8f89243238da27a715897a4c)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 8bc534b2984469d765100ccba949d0a3e10c1478
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 26 18:54:04 2019 +0100

    demux: adaptive: add missing empty adaption set checks
    
    (cherry picked from commit 7eb24be747ceb5826a47ed17e80c79a570547512)

commit 11f0c9a207225066406b0426a4ee2df8c896cb84
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Feb 25 09:28:04 2019 +0100

    demux: mp4: fix sgpd double free
    
    (cherry picked from commit 68e5cdc500a550cb0b044ef95ac90d90364b8369)

commit 1d1576ff2c914ff99e0db8cc35b93034f28d3fbd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 13 12:11:42 2019 +0100

    demux: mp4: set bit per sample for twos
    
    6b0bfe62329241e83990414b2c2edfcc5ab203f4 regression
    
    (cherry picked from commit e3b0a7a6d4253dea748aa217b26ec4012fdc3ca7)

commit 78fbb0f74623b097835d7d1115b21e2a02963a6b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 13 12:11:15 2019 +0100

    demux: mp4: set bitpersample for raw audio
    
    (cherry picked from commit 86663a5a76e65c13dd31a55f1455980c1cc186fd)

commit d9ff8159a53e867dffe2adecbb8b80f9ca12ea53
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Feb 11 12:50:12 2019 +0100

    demux: ogg: PTS to TICK_INVALID on missing interpolation
    
    (cherry picked from commit edadd2849f840f117504f0bd1bd92b0b676ed223)

commit 8397b62865a1135d23e2a004be343e82e905c649
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Feb 8 18:16:01 2019 +0100

    mux: mp4: use main profile id for mp2v
    
    (cherry picked from commit 492b8a4d6a0ab9914d9abc74579d92e2e66d6a17)

commit cd6dae2df55e2d2870d9caf5fc0964608c439c3b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Feb 8 18:13:21 2019 +0100

    mux: mp4: fix mpeg1 object id
    
    (cherry picked from commit cee51bacbc3903d75fd778f2828278d24ec75b37)

commit 2262172695b17a2d06ef419ae3c634f9d0a08ab8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Feb 8 16:53:12 2019 +0100

    mux: mp4: fix mp3 mapping
    
    (cherry picked from commit 20ff773847b65199bcb7bab89390e64012480ad3)

commit a66b69c1769a78f76114e8a731b3ffece08d19aa
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Feb 8 16:47:10 2019 +0100

    mux: mp4: fix mp3 atom codec with quicktime
    
    (cherry picked from commit cef7e0eaf9990dff6f5a6d96b848e162be591a95)

commit a60d3968f8cd3df3d89cd146cd66e069b23c1f65
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Feb 20 17:21:44 2019 +0200

    url: fix NULL dereference on invalid URI encoding
    
    (cherry picked from commit 4b74cad9e29689d07bedb4ad197f714fa1384a82)

commit 7294c33575e251e0b486199f702aad19a0b64163
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Feb 18 17:16:09 2019 +0100

    Update NEWS

commit 5ff146af07c78ba3feea26a7ffc8fbf0aff18aa0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Feb 16 15:25:29 2019 +0100

    Contribs: update dvdread to 6.0.1
    
    (cherry picked from commit 776377dfa14158d35fa8ff0d9a24b60a83ef5c0d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cd5024b886da223155b5dea0ec9dd908b097742e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 13 12:10:45 2019 +0100

    demux: mp4: add unspecified 0x0
    
    (cherry picked from commit d00274a08c8f3b4cdbd55cb88971fa6158f69cfb)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bb4f918aaaf83391c8e032c2e471a452205c1660
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Feb 12 15:25:27 2019 +0100

    keystore: try memory keystore on the first try
    
    This will speed up remote and protected accesses opening when the user already
    entered a credential. Indeed, accessess generally call vlc_credential_get()
    with NULL dialog title/fmt arguments first in order to get the password saved
    from url/vlc-option but without triggering a dialog. Then if it is failing,
    they call the same function with valid dialog arguments in order to trigger the
    keystore and the dialog.
    
    This commits will trigger the memory keystore from the first try. This will
    prevent accesses to always try the default ("Guest") account if the user
    already provided a valid credential.
    
    (cherry picked from commit d21a42d7e92cd9243776f3f9bbfd4c5de34df51d)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 488d9f44d659a9fee41fa889b35432fd84f0170c
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Feb 12 09:47:30 2019 +0100

    m3u: Don't probe a NULL input

commit 2688feb2742a6021ca211ae5c106b12c3d822946
Author: Danny Milosavljevic <dannym@scratchpost.org>
Date:   Mon Feb 11 16:07:12 2019 +0100

    codec: vpx: Detect libvpx 1.8.0 and, if detected, use fewer frame formats in the chroma_table
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>
    (cherry picked from commit 5575fe3eb3fd46bada8662268b74d03493476a84)

commit 14d56588c69736177d3e6cfe1b1f7e316f429b1e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Feb 12 08:01:33 2019 +0100

    direct3d11: only check the revision version of the AMD drivers
    
    No need to check the WDDM version or DirectX feature level
    
    (cherry picked from commit 2fbea81725c42a5305c5cd213359a08eaed800b4)

commit aaa1db8c87f4872732c13dd2d4a743e57f5322f3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Feb 8 13:36:32 2019 +0100

    audiotrack: add support for E_AC3 passthrough on API 23
    
    (cherry picked from commit 0e7003e1ff42b7710bc315f11121968639967a0f)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 90dd6bd3becdfd4c18c42122280cc5d92d9bad25
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Feb 8 13:26:45 2019 +0100

    audiotrack: fix passthrough on Android API 23
    
    This commit fixes passthrough playback for few devices on API 23. It was
    working already for Nvidia Shield TV but not for some others (like devices
    based on a Marvell chip).
    
    Before API 23, we don't support passthrough and after we prefer to use
    ENCODING_IEC61937.
    
    (cherry picked from commit 70acd1f7de867a9fb8a9460b9592ab04529cef68)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 00e44a626bd57fac9f07ce4eaac2b48142593968
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Feb 7 14:21:34 2019 +0100

    configure.ac: Don't attempt to use kde4-config on Android
    
    (cherry picked from commit 6934f5ced18546eaef4fb2b9874fa26babf80ecd)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 332f49dfecbcf71271ea1842eccb0ad54ec5414e
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Jan 30 16:51:37 2019 +0100

    microdns: Fix memory leak
    
    (cherry picked from commit dcb2cb4fbd5e1b37f9f19aaa2095d636167bc7f7)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 5594980ca81252fc885c957c1a9137ceead1ce0b
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Feb 7 09:36:21 2019 +0100

    News: Fix D3D11 12 bits rendering

commit 64acb7df485ad264b2381236dd3803b3da2ffaf0
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Aug 3 08:01:01 2018 +0200

    avcodec: map VLC_CODEC_RGBA64 to AV_PIX_FMT_RGBA64LE
    
    The current mask only handles 32 bits so we only map the format for the CPU endianess.
    
    The values are supported in libav since 2014 but only since 55.0 in ffmpeg.
    
    (cherry picked from commit f5236e6fe05ea861a8f676eb398d9f221e0f454c)

commit 348ed1e4f1f77e5da91e2a57821f78e621ac8fdf
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Aug 3 08:03:11 2018 +0200

    direct3d11: support RGBA64 playback
    
    This is the best option to display software RGB sources above 8 bits.
    
    Ref #19563 which wouldn't play on 4.0 otherwise
    
    (cherry picked from commit 24a7b990bed891f76bb1aeb1a0e6ce7c5fb43e66)

commit 71bfa086a1a67809821f4edc6f6227b1fdc756e4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 5 14:47:19 2019 +0100

    contribs: bluray: improve menuless playlist selection
    
    (cherry picked from commit 44b30c268ba19e2eb9c27289eb47ae53e14dde0d)

commit c701fa08e481e960c137a5fe274ea991e676f6e6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 5 13:49:34 2019 +0100

    access: bluray: fix unmatched PID with menuless blurays
    
    (cherry picked from commit cd1fc44ecdccb70a979699bb9bea6ca22ebb4ddc)

commit 17cba73e5419adeed80a35a58f187bf754866778
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jan 24 18:42:36 2019 +0100

    demux: mp4: fix potential NULL deref
    
    TrackGotoChunkSample changes p_es
    
    (cherry picked from commit a308f54b23519c1648975cfce8edb3f1addb6db3)

commit db3e320b1a61b27a524dce7d28f4cb7983f4987f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jan 31 20:54:31 2019 +0200

    smf: ignore invalid key sig (fixes #21857)
    
    (cherry picked from commit 7c50a3589644a64c4fa86b15f663d518ebd9b51d)

commit 135e7ff2880d7e8c752f7c474c5816d5dda5b496
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Tue Jan 29 11:50:01 2019 +0100

    macosx/open: don't iterate on mounted volumes on the main thread
    
    Asking NSFileManager for the mounted devices can take very long (>6s) when the devices are slow to respond, so let's do that on the background thread and don't delay display of the open panel.
    
    (cherry picked from commit c2a24a2576d3482ab251488043688997dabeb439)

commit b58c3c1179d8a54a853412ae20d957abefbe654f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Jan 27 05:12:25 2019 +0100

    vimeo.lua: switch player redirection to hard-coded API URL
    
    Access player config API directly rather than player page. Stop parsing
    web page contents for the player URL, it's simpler to extract and insert
    the video ID from the calling URL; the player URL is half hard-coded in
    the rest of the script anyway.
    
    (cherry picked from commit 2e04176d26a00c2b0a6bdf57175f72856d7942b7)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit c148adf46fdd1c87a00ba13913e1e15139d3f9dc
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Jan 27 05:09:11 2019 +0100

    vimeo.lua: support HTML player page
    
    The config API is at a slightly different URL, but both are supported
    now.
    
    (cherry picked from commit cff0b2e9b7416910931baa0feeb17a99d44ed019)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 33408496451b5768bcb44eb3dc26d8d6ab159e97
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Jan 27 04:59:29 2019 +0100

    vimeo.lua: fix up probe URLs
    
    (cherry picked from commit 952e1df1a8be484d1b7882666c42ccf1002cba0a)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 0ba1c04c6382c332cf16cf2bcffed4bc84aa2e0c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Jan 27 00:26:31 2019 +0100

    dailymotion.lua: update to website changes
    
    Video metadata is now available from a separate URL
    
    (cherry picked from commit af93e96577928df2a99dc555c60d86b49940608b)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 3885d85a0a9d784d160e0040635f864241ab88b6
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Jan 27 00:23:56 2019 +0100

    dailymotion.lua: fix art URL parsing
    
    (cherry picked from commit 5ed25c887929b6f296f1acc49351edd51892d2f7)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 6de3a6e2bf7ab6416dcdc8c8e803f731052d8a4c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Jan 27 00:22:43 2019 +0100

    dailymotion.lua: strip website tag appended to video title
    
    (cherry picked from commit 809f0de4694e26a9ea96cfb6376d58292728ed32)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 563b25c5c197a20a9479fd7d04f5582f97941375
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Fri Jan 18 21:44:13 2019 +0100

    contrib: add meson support for iOS, macOS and tvOS
    
    (cherry picked from commit b458069b11792944972ead3517b0c548034ba56c)

commit 9893bb3101c08ce876c02dfbae84f20e5ec6b5b9
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Dec 21 22:06:53 2018 +0300

    contribs: meson: provide arguments as a single element.
    
    (cherry picked from commit 0ee023d8dc429eb10d766aceaeb7e99df51e771e)

commit 5e3cc51e79be6332b43a7e5c6188746b5b840c1d
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Dec 21 18:56:40 2018 +0300

    contrib: meson crossfile: supply arguments as array elements
    
    While meson seemingly accepts spaces in the arguments, this is cleaner.
    
    (cherry picked from commit 62b4693390a6b76cb5db8ce470566b039a84c13c)

commit 4701c3115b01e632eeaaa7ebbf59a7bf0ba36057
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Fri Dec 21 17:25:46 2018 +0300

    contrib: meson: point to contribs when cross-compiling
    
    (cherry picked from commit b115875c85d36b0ab8ba11d898e050cd1a4f9655)

commit 5a1e191b8a691228761b481aa5568d52d57bb3a1
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat Jan 19 15:11:15 2019 +0100

    vout/ios: Fix crash due to unexpected _eaglEnabled state
    
    Fix videolan/VLCKit#221
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 4d5f4b1ccbd7698ea672ac8d10183f6ed67a1e0d)

commit c52b8543b3c2353830992d5a5a7db20fdd1dd09c
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Jan 18 18:52:40 2019 +0100

    vout/ios: Fix leaks on initialization failure
    
    Failing to initialize would not release the allocated self instance,
    causing it to leak. Instead of the super dealloc just call release
    on ourselves, this simplifies error handling too as dealloc takes
    care of destroying the mutex and condition variables.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 89f6b1902f261af32cc55465b3f45c3c856b68f5)

commit 851de048ba06af79b3d3a006eafe8eb21da41915
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Jan 18 18:52:39 2019 +0100

    vout/ios: Remove unnecessary nil check
    
    Sending a message to nil is valid, which makes this check
    unnecessary.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 405780b018ef941dba9b3d3bf17d6852e40ca8e4)

commit 8e778cd04e5cbbaa03eebb2e6d254ca6f2bb7c08
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Jan 18 18:52:38 2019 +0100

    vout/ios: Rename confusingly named methods
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 565d3e9c8e8c4b591a897d1b15fcd30bb75dabd7)

commit dc771027addbc637cedb82dd19f02e77d8e9f5eb
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Jan 18 18:52:37 2019 +0100

    vout/ios: Simplify makeCurrentWithGL:withGL:
    
    Return early when setCurrentContext fails, this simplifies
    the following code and makes it much easier to read.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit f9c4af6e89c9dca6bbe92b14623b74621976cd25)

commit a8e9d1a654b71b0d1952356318d8c1d9612c477f
Author: Alexandre Janniaux <alexandre.janniaux@gmail.com>
Date:   Sun Jan 20 18:30:03 2019 +0100

    meson: add support for cross-compilation to linux
    
    Define host system to linux when needed as it is not directly infered by
    meson and generates a python error. It is used for example to
    cross-compile to non-android ARM linux.
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 10e87f0a45a745e5424d111885b16bb1a130380d)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 2ed40917e828f70c0a54255cc8899f96da710f69
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Jan 23 09:41:00 2019 +0100

    contrib: iconv: Rework the ANDROID_API check to not use bc
    
    (cherry picked from commit 2f9c4cb7cd91d1480b420186bd1c0567684acf40)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e969030b6e4c23f851d8449526d0af53bbe6108f
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Nov 23 14:53:24 2018 +0100

    sd: avahi: Fix potential use after free
    
    A SD user might want to use the fields of the removed item, which can't
    be done if it gets released immediatly after being sent.
    
    (cherry picked from commit d79805c5fef70bdeb45255078f57dd08b9b8fefc)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 6889f75f57def0d6633203417977afe79f2c1d06
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Jan 18 19:12:04 2019 +0200

    LibVLC: fix documentation
    
    (cherry picked from commit 59313d6f2f86bf84e719fc211190002e0e084383)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 7af4ddf42980dd05d2545e9ee0ec601a38953987
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jan 21 19:18:41 2019 +0100

    access: bluray: fix PG range
    
    (cherry picked from commit 5a335557bc2b8b424bfe01881d82866c270095f4)

commit 93755fca3e799d117ca49ce9e356db1d1b34e452
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jan 21 16:02:33 2019 +0100

    access: bluray: process stream selection event last
    
    playlist info is not available yet and the stream selection
    has no longer access to parent p_sys
    
    (cherry picked from commit 4a9dc2a626aa54b339f6cf0b106fd9e3cfc7a29c)

commit 59122257cd1ef52f7c646ba9b7bf0d9f1d932608
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Jan 19 03:07:38 2019 +0100

    youtube.lua: update live stream support to website changes
    
    Instead of the previous "hlsvp" parameter, the URL can now be found in a
    deeper "hlsManifestUrl" parameter.
    
    Thanks to forum thread for analysis!
    
    Fixes #21738
    
    (cherry picked from commit c4bdca7aeca0afb2669b0b654d8df9eaafac28f4)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 5ec99d0db39174c6e04ce2957bf9ba89a8e23bf4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jan 18 17:35:22 2019 +0100

    sout: chromecast: fix memory corruption
    
    Don't write on the sub id that is not owned by this module.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 0cde951ebc25463b1ecf4e5a751918ffac9186be
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jan 18 15:22:54 2019 +0100

    sout: chromecast: fix seek after EOF
    
    On EOF, the sout can receive one last block, the drained one. In that case,
    GetSubId() will fail since the sout chain is already stopped (in order to
    drain). The decoder_t error state was set to true in that case, and next flush
    calls were ignored.
    
    Yes, this is an other hack and the chromecast is always dropping the last
    drained buffer (it was already the case before). For the moment, I can't find a
    proper solution without modyfing heavily the demux filter API (so no 3.0
    backport).
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit ebe409daaed2aa517ba10767a3776b0d9a2d1fea
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Jan 17 11:41:13 2019 +0100

    sout: chromecast: remove unused pause_delay hack
    
    Not needed anymore since timestamps are reset by the muxer.
    
    (cherry picked from commit 628a7d3a3f71604ae3e47192b65232049cc9267a)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 000b19ab97e499b3c08c4babec05e8f64cd1230c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jan 18 10:22:52 2019 +0100

    mux: avformat: simpler reset-ts implementation
    
    Use oc->avoid_negative_ts that is available in ffmpeg and libav.
    
    Fixes #21743
    
    (cherry picked from commit e8269340661d6d28b613dd913787b20ca8ac2b0d)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 8bb5cacc14fd6fca2f403354143feade01a616c7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jan 16 12:26:48 2019 +0100

    packetizer: h264: fix pts < dts from POC
    
    (cherry picked from commit 9da41db10758e8cfef142f3d2a1542439d723230)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 47f683281a97ab1c39d2735483decdfcd0f942c8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jan 15 17:15:01 2019 +0100

    sout: chromecast: don't set webm by default
    
    (cherry picked from commit 98938560c82f5e6e43b7002e178eccdc94af6cf8)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 7e12b92c18b313610492f0a397df5423f312cab2
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jan 15 15:37:20 2019 +0100

    sout: chromecast: reset timestamps to 0
    
    Updated chromecast devices don't seem to accept webm live content that don't
    start with a timestamp near 0.
    
    (cherry picked from commit 7c340bc7a4ae12174816b4d3c0a758f25c2c68bf)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit be297fda17f1b348e68ec36d3265c27748ac65ba
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jan 15 13:24:30 2019 +0100

    mux: avformat: add an option to reset timestamps
    
    (cherry picked from commit 25d263a6613a7e856999033b0c69026f6da20c4f)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit fff4b16979803b38f8520b2bf83d45ae9a1d1833
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Jan 15 15:03:35 2019 +0100

    contrib: libass depends on iconv
    
    Or rather, it can be built without it, but not depending on it can cause an
    indeterministic build, with sometimes an iconv enabled libass, and
    sometimes an non-iconv libass build.
    On some other occasions, it can also fail:
    - libiconv.a gets installed early on
    - libass then determines that it can use it, regardless of iconv.h
    - libass starts building
    - ass.c iconv code fails to build due to missing iconv.h
    - iconv.h gets installed afterward, but the build failed already
    
    (cherry picked from commit b6aa8c2f0b206790c8569e450b8fa66bc77a9032)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 4fb09e103ce9160b2547dee0e1dcadaca901590a
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Jan 14 11:48:15 2019 +0100

    contrib: dvdread: fix cache not invalidated
    
    (cherry picked from commit d4d2067e545c9f0825b7c9842c858e95714552fa)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit b2d96b5966483746f953f1bc5c4ee181711fddb8
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Jan 10 10:47:47 2019 +0100

    bluray: Fix build with libbluray < 1.0.0
    
    Fix #21613
    
    (cherry picked from commit aa9c788792344b1849e4e1f308e0bebe909dc93f)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 9b189642f9bcc7c456c36a94068475e2ba0db4c4
Author: Simon Latapie <garf@videolan.org>
Date:   Wed Jan 9 09:14:58 2019 +0100

    contrib/extras: force uid/gid during tarball extractions
    
    Under rare circonstances, tar will try to preserve uid/gid no matter what,
    and fail.
    This can happen for example when trying to build the contribs/extras as a
    privileged user inside a namespaced container.
    
    (manually cherry picked from commit 03200ebb49b2ff71ac815177ab09e588760fd9a9)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e6af0ba538fc1540b81d2b1df008b21c9902e1df
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Jan 14 09:59:23 2019 +0100

    configure.ac: Happy new year 2019!

commit 2c2553758f5f7e010f8c0fb0977e133cb320e11b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jan 4 14:18:36 2019 +0100

    contrib: d3d9: get more wine
    
    On Debian Buster, the idl include path is located on /usr/include/wine/wine/
    
    This fixes the "Unable to open include file unknwn.idl" error.
    
    (cherry picked from commit df4c252d3ef2a7531cf137398f3ec4306eb91123)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 3ecf883529ed4eec82a60f6550e73221d9a3aefc
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jan 4 14:17:58 2019 +0100

    contrib: d3d9: rename IDL includes variable
    
    (cherry picked from commit 234c3186922e51ef6fb5eea9be88f5358d44a932)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 821788cedf78c4764f746a96e2c06af13538ba33
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jan 4 11:43:21 2019 +0100

    contrib: d3d11: get more wine
    
    On Debian Buster, the idl include path is located on /usr/include/wine/wine/
    
    This fixes the "Unable to open include file oaidl.idl" error.
    
    (cherry picked from commit 842126507d1922406b29b4a0ff9519843fb08c95)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit ee7faf6fbdace6d0f7800233f737b268afe43c67
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jan 4 11:42:18 2019 +0100

    contrib: d3d11: rename IDL includes variable
    
    (cherry picked from commit 7a526c542e2b6ed51c97527b15823432c4df1e57)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d00e983ac563d97ed9a324192c7762d9c7899431
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Jan 14 09:58:39 2019 +0100

    Next version is 3.0.7

commit f52d51a5f104e60281c08b42e259378156867c45
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Jan 11 12:04:07 2019 +0100

    contrib: iconv: iconv is not available before API 28
    
    (cherry picked from commit dba2a1a8edf6f72b7aa22c2d30f880ef548faf8f)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f26955bd9975a42914e903c127a4defa03d00eb5
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Jan 11 12:03:40 2019 +0100

    contrib: live555: Expect ANDROID_API as a number
    
    (cherry picked from commit 1dc08359b9880df02d6901ece8925e75bd7d4334)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 946880409eda43a11c7fce97f532d394ed40932b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Jan 10 13:42:14 2019 +0100

    contrib: dav1d: backport PIC support for x86-32 asm

commit 6ee2e1d9986541aa8c46a6f1879209fa50d98e9f
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Jan 10 10:01:37 2019 +0100

    chroma: d3d11: Silence unused parameters warnings
    
    (cherry picked from commit a2c8b82b690d242bf4430e8fdc326af8a980ba95)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 6955b93cc2d4a8b8eec3668199a10440e921f63b
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Jan 10 10:01:03 2019 +0100

    chroma: d3d11: Fix winstore build
    
    (cherry picked from commit 50e84bf3b93151fe2303de1cc4b6857babe77e7c)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 5803e85f73dbfc6ee0059f14c8d857b45a1c20bb
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Jan 9 20:45:40 2019 +0100

    Update NEWS

commit 6f64c5534f18310759cfdc95c669969d6404a270
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Jan 9 12:18:30 2019 +0100

    Update NEWS

commit 575102bf0eab799f45833e676b2cbfd955e7dd5a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jan 8 17:01:21 2019 +0100

    demux: wav: fix uninitialized member usage (cid #1476075)
    
    (cherry picked from commit dec1c85932adf4e7c0054a5c5a8ef6fb7f791e1e)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e033427f8d5ea4a2afe45de7286820cc1b53472a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Jan 9 11:30:58 2019 +0100

    dav1d/aom: forward the colorimetry metadata from the container to the output
    
    If there is none and the stream contains some, it will be overridden in
    NewPicture() otherwise the container values are used.
    
    Fixes #21578
    
    (cherry picked from commit b59710fbdf8f2f985b675bb5d6085b1459cc5f8c)

commit a0abc7487926747c9aa60e43e0728dd6a74b5e14
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Jan 9 10:10:42 2019 +0100

    dav1d: add support for 12 bits sources
    
    Co-authored-by: James Almer <jamrial@gmail.com>
    
    Fixes #21670
    
    (cherry picked from commit 1243e37e544415158b3cd202a0f12016924967a6)

commit f1e046481b42615bd5f982178c4613c41f42cfce
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Tue Jan 8 12:28:54 2019 -0500

    contrib: aom: do not force generic target
    
    This is the default for the av1-normative branch.

commit aab15805cd14b4d8ff2468da5891e98c67775cda
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Tue Jan 8 12:27:58 2019 -0500

    contrib: aom: reenable multithreading
    
    This is default disabled in av1-normative.

commit b95fc09670411341ff6a4236241f07e2faebf30a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jan 8 10:36:46 2019 +0100

    d3d11: cleaner split of the (non)winstore code

commit 0f6e8c5eca11db658ee14be9ba79718f0aab6302
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jan 8 10:32:49 2019 +0100

    d3d11: log possible failures to read the driver version

commit 85a99a15c3f8672616aa9304ac2a16b86ca0d69d
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Jan 7 19:43:17 2019 +0100

    contrib: bluray: Add an explicit path to find shared libraries
    
    This is needed because runtime hardening does not automatically look
    for libraries outside of the own application bundle anymore.
    
    (cherry picked from commit 2ed07256dbbf21bf33cd5f9a58478178a4f0987d)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit b3f4f81d81d48742eb284658788e345e0c06a22b
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Fri Jan 4 12:26:04 2019 -0500

    contrib: aom: update to latest tag
    
    (cherry picked from commit a164f19379edba673d8a61b606f8ed8cd8ca90fe)

commit 48d8403274d9335e96b0abe0e9703227c17c4588
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Oct 12 10:02:22 2018 +0300

    contrib: lame: Use __attribute__((target("sse"))) instead of #pragma GCC target("sse")
    
    Clang doesn't support the pragma, but does support the attribute.
    Update the existing patch to do things this way.
    
    With previous versions of lame, this hasn't been an issue, because
    if one doesn't pass any -march flag, clang defaults to pentium4 as
    target for i386 targets, and there both sse and sse2 are available
    by default.
    
    Since lame 3.100, lame now passes -march=i686 even for clang, which
    disables SSE by default, requiring the per-function enabling to
    actually work.
    
    (cherry picked from commit e335c759dd2fa885ddf967f69256785a0cd7c02c)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 43f7ba691aaecd75d1b0e4802f5f8a87ef329550
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 27 11:51:23 2018 +0100

    Next minor release is 3.0.6

commit 65d86a44740a612dfccb04bc49b0a2a7974df358
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jan 7 12:27:33 2019 +0100

    bluray: don't use a region if it's not allocated
    
    (cherry picked from commit b315699d76399989811f87e2cceb674553bf6db8)

commit 8aac9c85ba3089a81663da1b11f7c6a758be843e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jan 7 11:59:05 2019 +0100

    picture: align the buffer size to 64
    
    Otherwise aligned_alloc() may fail.
    
    It's OK to allocate more to preserve the alignment.
    
    Fixes #21647
